
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest0 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test001"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5707963267948966d);

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test002"); }


    double d2 = org.apache.commons.math3.util.Precision.representableDelta(1.5707963267948966d, 1.5707963267948966d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5707963267948966d);

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test003"); }


    long long2 = org.apache.commons.math3.util.FastMath.min(100L, 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 100L);

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test004"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals((-1.0d), 0.0d, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test005"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(1L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test006"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(0.0d, 100.0d, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test007"); }


    org.apache.commons.math3.linear.AnyMatrix anyMatrix0 = null;
    org.apache.commons.math3.linear.AnyMatrix anyMatrix1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.checkMultiplicationCompatible(anyMatrix0, anyMatrix1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test008"); }


    org.apache.commons.math3.linear.AnyMatrix anyMatrix0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.checkColumnIndex(anyMatrix0, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test009"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(1.5707963267948966d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5707963267948966d);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test010"); }


    org.apache.commons.math3.FieldElement fieldElement0 = null;
    org.apache.commons.math3.FieldElement[] fieldElement_array1 = new org.apache.commons.math3.FieldElement[] { fieldElement0 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix2 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(fieldElement_array1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array1);

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test011"); }


    org.apache.commons.math3.linear.AnyMatrix anyMatrix0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.checkRowIndex(anyMatrix0, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test012"); }


    java.util.Locale locale0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealVectorFormat realVectorFormat1 = org.apache.commons.math3.linear.RealVectorFormat.getInstance(locale0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test013"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test014"); }


    double[][] d_array_array2 = org.apache.commons.math3.linear.BlockRealMatrix.createBlocksLayout((-1), 1);
    // The following exception was thrown during execution in test generation
    try {
      double[][] d_array_array3 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array2);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array2);

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test015"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math3.exception.NotPositiveException(localizable0, (java.lang.Number)(byte)10);

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test016"); }


    java.text.ParsePosition parsePosition2 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.math3.util.CompositeFormat.parseFixedstring("", "", parsePosition2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test017"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.0f);

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test018"); }


    double d0 = org.apache.commons.math3.util.FastMath.PI;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d0 == 3.141592653589793d);

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test019"); }


    double d2 = org.apache.commons.math3.util.Precision.representableDelta(0.0d, 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test020"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector0 = null;
    double[] d_array1 = new double[] {  };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.ArrayRealVector arrayRealVector2 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector0, d_array1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test021"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(3.141592653589793d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test022"); }


    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat0 = org.apache.commons.math3.linear.RealVectorFormat.getInstance();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.ArrayRealVector arrayRealVector2 = realVectorFormat0.parse("");
      org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException");
    } catch (java.lang.StringIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.StringIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVectorFormat0);

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test023"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(100.0f, 100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 100.0f);

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test024"); }


    org.apache.commons.math3.FieldElement[] fieldElement_array0 = null;
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array1 = new org.apache.commons.math3.FieldElement[][] { fieldElement_array0 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix3 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(fieldElement_array_array1, true);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array1);

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test025"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(10.0f, 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 9.999999f);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test026"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(1.5707963267948966d, 3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5707963267948966d);

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test027"); }


    double[] d_array2 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 100.0d, false);
    double[][] d_array_array6 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix8 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array6, true);
    org.apache.commons.math3.linear.RealMatrixChangingVisitor realMatrixChangingVisitor9 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d10 = array2DRowRealMatrix8.walkInColumnOrder(realMatrixChangingVisitor9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test028"); }


    double[] d_array2 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 100.0d, false);
    double[][] d_array_array6 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix8 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array6, true);
    org.apache.commons.math3.linear.RealVector realVector10 = null;
    // The following exception was thrown during execution in test generation
    try {
      array2DRowRealMatrix8.setColumnVector(1, realVector10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test029"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test030"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.9E-324d);

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test031"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(0.0d, 100.0d, 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test032"); }


    org.apache.commons.math3.Field field0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.BlockFieldMatrix blockFieldMatrix3 = new org.apache.commons.math3.linear.BlockFieldMatrix(field0, (-1), 10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test033"); }


    org.apache.commons.math3.Field field0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldMatrix fieldMatrix3 = org.apache.commons.math3.linear.MatrixUtils.<org.apache.commons.math3.FieldElement>createFieldMatrix(field0, 100, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test034"); }


    double[] d_array2 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 100.0d, false);
    double[][] d_array_array6 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix8 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array6, true);
    double d9 = array2DRowRealMatrix8.getFrobeniusNorm();
    double[] d_array10 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array11 = array2DRowRealMatrix8.preMultiply(d_array10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 100.4987562112089d);

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test035"); }


    java.io.ObjectInputStream objectInputStream2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.deserializeRealVector((java.lang.Object)0L, "hi!", objectInputStream2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test036"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(10.0d, Double.NaN, 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test037"); }


    double[] d_array2 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 100.0d, false);
    double[][] d_array_array6 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix8 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array6, true);
    org.apache.commons.math3.linear.RealVector realVector9 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealVector realVector10 = array2DRowRealMatrix8.preMultiply(realVector9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test038"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement fieldElement4 = null;
    // The following exception was thrown during execution in test generation
    try {
      array2DRowFieldMatrix1.setEntry(1, 1, fieldElement4);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test039"); }


    org.apache.commons.math3.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)(short)0);
    java.lang.Number number2 = notPositiveException1.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + (short)0+ "'", number2.equals((short)0));

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test040"); }


    java.util.Locale locale0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealMatrixFormat realMatrixFormat1 = org.apache.commons.math3.linear.RealMatrixFormat.getInstance(locale0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test041"); }


    double d3 = org.apache.commons.math3.util.MathUtils.reduce(10.0d, 100.4987562112089d, 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 9.0d);

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test042"); }


    double[][] d_array_array0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[][] d_array_array1 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test043"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(9.999999f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 3);

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test044"); }


    double[] d_array2 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 100.0d, false);
    double[][] d_array_array6 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix8 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array6, true);
    double d9 = array2DRowRealMatrix8.getFrobeniusNorm();
    org.apache.commons.math3.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor10 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d11 = array2DRowRealMatrix8.walkInRowOrder(realMatrixPreservingVisitor10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 100.4987562112089d);

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test045"); }


    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix0 = new org.apache.commons.math3.linear.Array2DRowRealMatrix();
    double[] d_array3 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair6 = new org.apache.commons.math3.optimization.PointValuePair(d_array3, 100.0d, false);
    double[][] d_array_array7 = new double[][] { d_array3 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array7, true);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix10 = array2DRowRealMatrix0.add(array2DRowRealMatrix9);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.MatrixDimensionMismatchException");
    } catch (org.apache.commons.math3.linear.MatrixDimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.linear.MatrixDimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.MatrixDimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test046"); }


    double d0 = org.apache.commons.math3.util.MathUtils.TWO_PI;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d0 == 6.283185307179586d);

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test047"); }


    double[] d_array2 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 100.0d, false);
    double[][] d_array_array6 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix8 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array6, true);
    double d9 = array2DRowRealMatrix8.getFrobeniusNorm();
    org.apache.commons.math3.linear.RealMatrixChangingVisitor realMatrixChangingVisitor10 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d11 = array2DRowRealMatrix8.walkInRowOrder(realMatrixChangingVisitor10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 100.4987562112089d);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test048"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement fieldElement4 = null;
    // The following exception was thrown during execution in test generation
    try {
      array2DRowFieldMatrix1.addToEntry(0, 10, fieldElement4);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test049"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldMatrix fieldMatrix3 = array2DRowFieldMatrix1.power(10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test050"); }


    java.lang.Integer[] i_array1 = new java.lang.Integer[] { 10 };
    java.lang.Integer[] i_array3 = new java.lang.Integer[] { 10 };
    org.apache.commons.math3.exception.MultiDimensionMismatchException multiDimensionMismatchException4 = new org.apache.commons.math3.exception.MultiDimensionMismatchException(i_array1, i_array3);
    java.io.ObjectInputStream objectInputStream6 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.deserializeRealVector((java.lang.Object)i_array3, "", objectInputStream6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test051"); }


    short s2 = org.apache.commons.math3.util.MathUtils.copySign((short)1, (short)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s2 == (short)1);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test052"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.linear.FieldVector fieldVector2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldVector fieldVector3 = array2DRowFieldMatrix1.operate(fieldVector2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test053"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Object[] obj_array2 = new java.lang.Object[] { 10.0d };
    org.apache.commons.math3.exception.ZeroException zeroException3 = new org.apache.commons.math3.exception.ZeroException(localizable0, obj_array2);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext4 = zeroException3.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext4);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test054"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test055"); }


    double d3 = org.apache.commons.math3.util.MathUtils.reduce(4.9E-324d, 0.0d, (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test056"); }


    org.apache.commons.math3.FieldElement fieldElement0 = null;
    org.apache.commons.math3.FieldElement[] fieldElement_array1 = new org.apache.commons.math3.FieldElement[] { fieldElement0 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldVector fieldVector2 = org.apache.commons.math3.linear.MatrixUtils.<org.apache.commons.math3.FieldElement>createFieldVector(fieldElement_array1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array1);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test057"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(3, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 3);

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test058"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldMatrix fieldMatrix4 = array2DRowFieldMatrix1.createMatrix(0, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test059"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(10L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 10L);

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test060"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector0 = null;
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.ArrayRealVector arrayRealVector2 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector0, arrayRealVector1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test061"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(10.0d, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 20.0d);

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test062"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement fieldElement3 = null;
    org.apache.commons.math3.FieldElement[] fieldElement_array4 = new org.apache.commons.math3.FieldElement[] { fieldElement3 };
    // The following exception was thrown during execution in test generation
    try {
      array2DRowFieldMatrix1.setRow(100, fieldElement_array4);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array4);

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test063"); }


    int i0 = org.apache.commons.math3.linear.BlockFieldMatrix.BLOCK_SIZE;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 36);

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test064"); }


    double[] d_array2 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 100.0d, false);
    double[][] d_array_array6 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix8 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array6, true);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealMatrix realMatrix10 = array2DRowRealMatrix8.getColumnMatrix(3);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test065"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    int[] i_array3 = new int[] { 10 };
    int[] i_array6 = new int[] { 100, (-1) };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.checkSubMatrixIndex((org.apache.commons.math3.linear.AnyMatrix)array2DRowFieldMatrix1, i_array3, i_array6);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array6);

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test066"); }


    double[] d_array2 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 100.0d, false);
    double[][] d_array_array6 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix8 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array6, true);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array10 = array2DRowRealMatrix8.getColumn(3);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test067"); }


    java.text.ParsePosition parsePosition1 = null;
    // The following exception was thrown during execution in test generation
    try {
      char char2 = org.apache.commons.math3.util.CompositeFormat.parseNextCharacter("hi!", parsePosition1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test068"); }


    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat0 = org.apache.commons.math3.linear.RealVectorFormat.getInstance();
    java.text.NumberFormat numberFormat1 = realVectorFormat0.getFormat();
    java.text.ParsePosition parsePosition3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.ArrayRealVector arrayRealVector4 = realVectorFormat0.parse("", parsePosition3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVectorFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test069"); }


    double[] d_array2 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 100.0d, false);
    double[][] d_array_array6 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix8 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array6, true);
    double d9 = array2DRowRealMatrix8.getFrobeniusNorm();
    double[] d_array12 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair15 = new org.apache.commons.math3.optimization.PointValuePair(d_array12, 100.0d, false);
    double[][] d_array_array16 = new double[][] { d_array12 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array16, true);
    // The following exception was thrown during execution in test generation
    try {
      array2DRowRealMatrix8.setSubMatrix(d_array_array16, 1, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array16);

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test070"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldVector fieldVector3 = array2DRowFieldMatrix1.getColumnVector(1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test071"); }


    double[] d_array2 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 100.0d, false);
    double[][] d_array_array6 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix8 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array6, true);
    double d9 = array2DRowRealMatrix8.getFrobeniusNorm();
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array11 = array2DRowRealMatrix8.getRow(36);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 100.4987562112089d);

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test072"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(6.283185307179586d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 6L);

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test073"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    java.lang.Object[] obj_array3 = new java.lang.Object[] { 10.0d };
    org.apache.commons.math3.exception.ZeroException zeroException4 = new org.apache.commons.math3.exception.ZeroException(localizable1, obj_array3);
    org.apache.commons.math3.exception.ZeroException zeroException5 = new org.apache.commons.math3.exception.ZeroException(localizable0, obj_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test074"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter((-1.0f), 9.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-0.99999994f));

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test075"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.0f, 9.999999f, 9.999999f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test076"); }


    org.apache.commons.math3.FieldElement[] fieldElement_array0 = null;
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array1 = new org.apache.commons.math3.FieldElement[][] { fieldElement_array0 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldMatrix fieldMatrix2 = org.apache.commons.math3.linear.MatrixUtils.<org.apache.commons.math3.FieldElement>createFieldMatrix(fieldElement_array_array1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array1);

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test077"); }


    org.apache.commons.math3.Field field0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldMatrix fieldMatrix3 = org.apache.commons.math3.linear.MatrixUtils.<org.apache.commons.math3.FieldElement>createFieldMatrix(field0, 36, (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test078"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(1.5707963267948966d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test079"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test080"); }


    double[] d_array2 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 100.0d, false);
    double[][] d_array_array6 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix8 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array6, true);
    double d9 = array2DRowRealMatrix8.getFrobeniusNorm();
    boolean b10 = array2DRowRealMatrix8.isTransposable();
    boolean b11 = array2DRowRealMatrix8.isSquare();
    // The following exception was thrown during execution in test generation
    try {
      double d14 = array2DRowRealMatrix8.getEntry(100, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test081"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.linear.FieldMatrixPreservingVisitor fieldMatrixPreservingVisitor2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement fieldElement7 = array2DRowFieldMatrix1.walkInColumnOrder(fieldMatrixPreservingVisitor2, 3, 0, 0, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test082"); }


    org.apache.commons.math3.exception.NullArgumentException nullArgumentException0 = new org.apache.commons.math3.exception.NullArgumentException();

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test083"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(1.0f, (-0.99999994f), 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test084"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable0, 0, (-1));

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test085"); }


    double d2 = org.apache.commons.math3.util.Precision.representableDelta(10.0d, 9.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 9.0d);

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test086"); }


    org.apache.commons.math3.FieldElement[] fieldElement_array0 = null;
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array1 = new org.apache.commons.math3.FieldElement[][] { fieldElement_array0 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.BlockFieldMatrix blockFieldMatrix2 = new org.apache.commons.math3.linear.BlockFieldMatrix(fieldElement_array_array1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array1);

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test087"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.linear.FieldVector fieldVector3 = null;
    // The following exception was thrown during execution in test generation
    try {
      array2DRowFieldMatrix1.setColumnVector(36, fieldVector3);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test088"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement fieldElement3 = null;
    org.apache.commons.math3.FieldElement[] fieldElement_array4 = new org.apache.commons.math3.FieldElement[] { fieldElement3 };
    // The following exception was thrown during execution in test generation
    try {
      array2DRowFieldMatrix1.setRow(0, fieldElement_array4);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array4);

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test089"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException(3, 100);

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test090"); }


    double[] d_array2 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 100.0d, false);
    double[][] d_array_array6 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix8 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array6, true);
    double[] d_array12 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair15 = new org.apache.commons.math3.optimization.PointValuePair(d_array12, 100.0d, false);
    double[] d_array16 = pointValuePair15.getPoint();
    // The following exception was thrown during execution in test generation
    try {
      array2DRowRealMatrix8.setColumn(100, d_array16);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test091"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    int[] i_array2 = new int[] {  };
    int[] i_array5 = new int[] { 100, 100 };
    org.apache.commons.math3.FieldElement[] fieldElement_array6 = null;
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array7 = new org.apache.commons.math3.FieldElement[][] { fieldElement_array6 };
    // The following exception was thrown during execution in test generation
    try {
      array2DRowFieldMatrix1.copySubMatrix(i_array2, i_array5, fieldElement_array_array7);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoDataException");
    } catch (org.apache.commons.math3.exception.NoDataException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NoDataException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoDataException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array7);

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test092"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN((-1.0f), (-1.0f), 100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test093"); }


    double[] d_array2 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 100.0d, false);
    double[][] d_array_array6 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix8 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array6, true);
    double d9 = array2DRowRealMatrix8.getFrobeniusNorm();
    boolean b10 = array2DRowRealMatrix8.isTransposable();
    boolean b11 = array2DRowRealMatrix8.isSquare();
    org.apache.commons.math3.linear.RealMatrixChangingVisitor realMatrixChangingVisitor12 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d17 = array2DRowRealMatrix8.walkInOptimizedOrder(realMatrixChangingVisitor12, 1, 1, 36, 36);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test094"); }


    double d0 = org.apache.commons.math3.util.Precision.SAFE_MIN;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d0 == 2.2250738585072014E-308d);

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test095"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs(10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 10);

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test096"); }


    org.apache.commons.math3.linear.RealVector realVector0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.ArrayRealVector arrayRealVector1 = new org.apache.commons.math3.linear.ArrayRealVector(realVector0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test097"); }


    java.lang.Object obj0 = null;
    java.io.ObjectInputStream objectInputStream2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.deserializeRealMatrix(obj0, "hi!", objectInputStream2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test098"); }


    double[] d_array2 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 100.0d, false);
    double[][] d_array_array6 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix8 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array6, true);
    double d9 = array2DRowRealMatrix8.getFrobeniusNorm();
    boolean b10 = array2DRowRealMatrix8.isTransposable();
    boolean b11 = array2DRowRealMatrix8.isSquare();
    org.apache.commons.math3.linear.RealVector realVector12 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealVector realVector13 = array2DRowRealMatrix8.operateTranspose(realVector12);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test099"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.Field field2 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix3 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field2);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix4 = array2DRowFieldMatrix1.multiply(array2DRowFieldMatrix3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test100"); }


    float f2 = org.apache.commons.math3.util.Precision.round(1.0f, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test101"); }


    double[] d_array2 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 100.0d, false);
    double[] d_array6 = pointValuePair5.getPoint();
    java.lang.Object obj7 = pointValuePair5.getValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj7 + "' != '" + 100.0d+ "'", obj7.equals(100.0d));

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test102"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldMatrix fieldMatrix3 = array2DRowFieldMatrix1.getColumnMatrix(36);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test103"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.linear.FieldMatrixPreservingVisitor fieldMatrixPreservingVisitor2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement fieldElement3 = array2DRowFieldMatrix1.walkInColumnOrder(fieldMatrixPreservingVisitor2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test104"); }


    double[] d_array2 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 100.0d, false);
    double[][] d_array_array6 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix8 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array6, true);
    double d9 = array2DRowRealMatrix8.getFrobeniusNorm();
    boolean b10 = array2DRowRealMatrix8.isTransposable();
    boolean b11 = array2DRowRealMatrix8.isSquare();
    double[][] d_array_array12 = array2DRowRealMatrix8.getData();
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array14 = array2DRowRealMatrix8.getRow(10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test105"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(10, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 10);

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test106"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test107"); }


    double[] d_array2 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 100.0d, false);
    double[][] d_array_array6 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix8 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array6, true);
    double d9 = array2DRowRealMatrix8.getFrobeniusNorm();
    org.apache.commons.math3.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor10 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d11 = array2DRowRealMatrix8.walkInColumnOrder(realMatrixPreservingVisitor10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 100.4987562112089d);

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test108"); }


    org.apache.commons.math3.linear.RealMatrix realMatrix0 = null;
    java.io.ObjectOutputStream objectOutputStream1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.serializeRealMatrix(realMatrix0, objectOutputStream1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test109"); }


    double[] d_array2 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 100.0d, false);
    double[][] d_array_array6 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix8 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array6, true);
    double d9 = array2DRowRealMatrix8.getFrobeniusNorm();
    org.apache.commons.math3.linear.RealMatrix realMatrix11 = array2DRowRealMatrix8.getColumnMatrix(0);
    // The following exception was thrown during execution in test generation
    try {
      double d12 = array2DRowRealMatrix8.getTrace();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.NonSquareMatrixException");
    } catch (org.apache.commons.math3.linear.NonSquareMatrixException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.linear.NonSquareMatrixException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.NonSquareMatrixException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix11);

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test110"); }


    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)(-1.0d), (java.lang.Number)9.0d, false);
    boolean b4 = numberIsTooLargeException3.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test111"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 57.29577951308232d);

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test112"); }


    double d3 = org.apache.commons.math3.util.MathUtils.reduce((-1.0d), 2.2250738585072014E-308d, 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test113"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test114"); }


    java.lang.Class clazz2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.exception.MathParseException mathParseException3 = new org.apache.commons.math3.exception.MathParseException("", 100, clazz2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test115"); }


    double[] d_array2 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 100.0d, false);
    double[][] d_array_array6 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix8 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array6, true);
    double d9 = array2DRowRealMatrix8.getFrobeniusNorm();
    org.apache.commons.math3.linear.RealMatrixChangingVisitor realMatrixChangingVisitor10 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d11 = array2DRowRealMatrix8.walkInOptimizedOrder(realMatrixChangingVisitor10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 100.4987562112089d);

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test116"); }


    double[] d_array3 = new double[] { (-1.0d), 10.0d, 100.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector5 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.ArrayRealVector arrayRealVector6 = new org.apache.commons.math3.linear.ArrayRealVector(d_array3, arrayRealVector5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test117"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.linear.FieldMatrixPreservingVisitor fieldMatrixPreservingVisitor2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement fieldElement7 = array2DRowFieldMatrix1.walkInColumnOrder(fieldMatrixPreservingVisitor2, 36, 0, 1, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test118"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.Field field2 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix3 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field2);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldMatrix fieldMatrix4 = array2DRowFieldMatrix1.multiply((org.apache.commons.math3.linear.FieldMatrix)array2DRowFieldMatrix3);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test119"); }


    org.apache.commons.math3.optimization.linear.NoFeasibleSolutionException noFeasibleSolutionException0 = new org.apache.commons.math3.optimization.linear.NoFeasibleSolutionException();
    java.lang.Throwable throwable1 = null;
    // The following exception was thrown during execution in test generation
    try {
      noFeasibleSolutionException0.addSuppressed(throwable1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test120"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)9.0d);

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test121"); }


    double[] d_array2 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 100.0d, false);
    double[][] d_array_array6 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix8 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array6, true);
    double d9 = array2DRowRealMatrix8.getFrobeniusNorm();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealVector realVector11 = array2DRowRealMatrix8.getColumnVector(2);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 100.4987562112089d);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test122"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.154434690031884d);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test123"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement fieldElement4 = null;
    // The following exception was thrown during execution in test generation
    try {
      array2DRowFieldMatrix1.multiplyEntry(3, 36, fieldElement4);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test124"); }


    java.text.NumberFormat numberFormat0 = org.apache.commons.math3.util.CompositeFormat.getDefaultNumberFormat();
    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat1 = new org.apache.commons.math3.linear.RealVectorFormat(numberFormat0);
    org.apache.commons.math3.linear.RealVector realVector2 = null;
    java.lang.StringBuffer stringBuffer3 = null;
    java.text.FieldPosition fieldPosition4 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer5 = realVectorFormat1.format(realVector2, stringBuffer3, fieldPosition4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat0);

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test125"); }


    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math3.linear.BlockRealMatrix(3, 10);
    org.apache.commons.math3.linear.RealMatrix realMatrix4 = blockRealMatrix2.scalarMultiply(3.141592653589793d);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealVector realVector6 = blockRealMatrix2.getRowVector((-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix4);

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test126"); }


    java.lang.Object obj0 = null;
    java.io.ObjectInputStream objectInputStream2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.deserializeRealVector(obj0, "", objectInputStream2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test127"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math3.util.Precision.round(100.4987562112089d, 0, 36);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test128"); }


    double[] d_array2 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 100.0d, false);
    double[][] d_array_array6 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix8 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array6, true);
    double[] d_array12 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair15 = new org.apache.commons.math3.optimization.PointValuePair(d_array12, 100.0d, false);
    double[][] d_array_array16 = new double[][] { d_array12 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array16, true);
    double d19 = array2DRowRealMatrix18.getFrobeniusNorm();
    boolean b20 = array2DRowRealMatrix18.isTransposable();
    boolean b21 = array2DRowRealMatrix18.isSquare();
    double[][] d_array_array22 = array2DRowRealMatrix18.getData();
    array2DRowRealMatrix8.setRowMatrix(0, (org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix18);
    org.apache.commons.math3.linear.RealMatrixChangingVisitor realMatrixChangingVisitor24 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d29 = array2DRowRealMatrix18.walkInOptimizedOrder(realMatrixChangingVisitor24, 0, 1, 100, 3);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array22);

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test129"); }


    java.lang.Class clazz2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.exception.MathParseException mathParseException3 = new org.apache.commons.math3.exception.MathParseException("", (-1), clazz2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test130"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(0L, (-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test131"); }


    double[] d_array2 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 100.0d, false);
    double[][] d_array_array6 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix8 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array6, true);
    double d9 = array2DRowRealMatrix8.getFrobeniusNorm();
    org.apache.commons.math3.linear.RealMatrix realMatrix11 = array2DRowRealMatrix8.getColumnMatrix(0);
    org.apache.commons.math3.linear.RealMatrixChangingVisitor realMatrixChangingVisitor12 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d17 = array2DRowRealMatrix8.walkInRowOrder(realMatrixChangingVisitor12, 10, 100, 36, 36);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix11);

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test132"); }


    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math3.linear.BlockRealMatrix(3, 10);
    org.apache.commons.math3.linear.RealMatrixChangingVisitor realMatrixChangingVisitor3 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d8 = blockRealMatrix2.walkInRowOrder(realMatrixChangingVisitor3, (-1), 2, (-1), 1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test133"); }


    double[] d_array2 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 100.0d, false);
    double[][] d_array_array6 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix8 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array6, true);
    double d9 = array2DRowRealMatrix8.getFrobeniusNorm();
    org.apache.commons.math3.linear.RealMatrix realMatrix11 = array2DRowRealMatrix8.getColumnMatrix(0);
    double[] d_array14 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair17 = new org.apache.commons.math3.optimization.PointValuePair(d_array14, 100.0d, false);
    double[][] d_array_array18 = new double[][] { d_array14 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix20 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array18, true);
    double d21 = array2DRowRealMatrix20.getFrobeniusNorm();
    boolean b22 = array2DRowRealMatrix20.isTransposable();
    org.apache.commons.math3.linear.RealMatrix realMatrix23 = array2DRowRealMatrix8.subtract((org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix20);
    int i24 = array2DRowRealMatrix20.getColumnDimension();
    double[][] d_array_array25 = array2DRowRealMatrix20.getData();
    // The following exception was thrown during execution in test generation
    try {
      array2DRowRealMatrix20.addToEntry(2, 10, (-1.0d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array25);

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test134"); }


    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math3.linear.BlockRealMatrix(3, 10);
    org.apache.commons.math3.linear.RealMatrix realMatrix4 = blockRealMatrix2.scalarMultiply(3.141592653589793d);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix7 = blockRealMatrix2.createMatrix((-1), 100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix4);

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test135"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)(byte)10, (java.lang.Number)(short)100, true);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext4 = numberIsTooSmallException3.getContext();
    java.lang.String str5 = numberIsTooSmallException3.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.apache.commons.math3.exception.NumberIsTooSmallException: 10 is smaller than the minimum (100)"+ "'", str5.equals("org.apache.commons.math3.exception.NumberIsTooSmallException: 10 is smaller than the minimum (100)"));

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test136"); }


    java.lang.Number number0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException(number0, (java.lang.Number)0, true);

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test137"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(9.999999f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test138"); }


    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math3.linear.BlockRealMatrix(3, 10);
    org.apache.commons.math3.linear.RealMatrix realMatrix4 = blockRealMatrix2.scalarMultiply(3.141592653589793d);
    org.apache.commons.math3.linear.RealVector realVector5 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.solveUpperTriangularSystem((org.apache.commons.math3.linear.RealMatrix)blockRealMatrix2, realVector5);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix4);

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test139"); }


    int i0 = org.apache.commons.math3.optimization.linear.AbstractLinearOptimizer.DEFAULT_MAX_ITERATIONS;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 100);

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test140"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement fieldElement4 = null;
    // The following exception was thrown during execution in test generation
    try {
      array2DRowFieldMatrix1.addToEntry(10, 0, fieldElement4);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test141"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement fieldElement4 = array2DRowFieldMatrix1.getEntry((-1), (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test142"); }


    java.io.ObjectInputStream objectInputStream2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.deserializeRealVector((java.lang.Object)3, "hi!", objectInputStream2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test143"); }


    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    java.lang.Object[] obj_array2 = null;
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)(short)1, localizable1, obj_array2);

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test144"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    org.apache.commons.math3.linear.FieldMatrixChangingVisitor fieldMatrixChangingVisitor3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement fieldElement8 = array2DRowFieldMatrix1.walkInColumnOrder(fieldMatrixChangingVisitor3, 3, 36, 10, 36);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test145"); }


    java.text.ParsePosition parsePosition1 = null;
    // The following exception was thrown during execution in test generation
    try {
      char char2 = org.apache.commons.math3.util.CompositeFormat.parseNextCharacter("", parsePosition1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test146"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals((-1.0f), 1.0f, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test147"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(100.0f, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 100.0f);

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test148"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7853981633974483d);

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test149"); }


    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math3.linear.BlockRealMatrix(3, 10);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix7 = blockRealMatrix2.getSubMatrix(0, (-1), 1, 36);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test150"); }


    org.apache.commons.math3.Field field0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix3 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0, 100, (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test151"); }


    org.apache.commons.math3.optimization.linear.SimplexSolver simplexSolver2 = new org.apache.commons.math3.optimization.linear.SimplexSolver(20.0d, 0);
    simplexSolver2.setMaxIterations(2);

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test152"); }


    org.apache.commons.math3.util.MathUtils.checkFinite(0.7853981633974483d);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test153"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(2.2250738585072014E-308d, (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.2250738585072014E-308d);

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test154"); }


    double[] d_array4 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair7 = new org.apache.commons.math3.optimization.PointValuePair(d_array4, 100.0d, false);
    double[][] d_array_array8 = new double[][] { d_array4 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix10 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array8, true);
    double d11 = array2DRowRealMatrix10.getFrobeniusNorm();
    org.apache.commons.math3.linear.RealMatrix realMatrix13 = array2DRowRealMatrix10.getColumnMatrix(0);
    double[] d_array16 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair19 = new org.apache.commons.math3.optimization.PointValuePair(d_array16, 100.0d, false);
    double[][] d_array_array20 = new double[][] { d_array16 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix22 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array20, true);
    double d23 = array2DRowRealMatrix22.getFrobeniusNorm();
    boolean b24 = array2DRowRealMatrix22.isTransposable();
    org.apache.commons.math3.linear.RealMatrix realMatrix25 = array2DRowRealMatrix10.subtract((org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix22);
    int i26 = array2DRowRealMatrix22.getColumnDimension();
    double[][] d_array_array27 = array2DRowRealMatrix22.getData();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix29 = new org.apache.commons.math3.linear.BlockRealMatrix(10, 1, d_array_array27, false);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test155"); }


    double[] d_array2 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 100.0d, false);
    double[][] d_array_array6 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix8 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array6, true);
    double d9 = array2DRowRealMatrix8.getFrobeniusNorm();
    org.apache.commons.math3.linear.RealMatrix realMatrix11 = array2DRowRealMatrix8.getColumnMatrix(0);
    double[] d_array14 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair17 = new org.apache.commons.math3.optimization.PointValuePair(d_array14, 100.0d, false);
    double[][] d_array_array18 = new double[][] { d_array14 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix20 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array18, true);
    double d21 = array2DRowRealMatrix20.getFrobeniusNorm();
    boolean b22 = array2DRowRealMatrix20.isTransposable();
    org.apache.commons.math3.linear.RealMatrix realMatrix23 = array2DRowRealMatrix8.subtract((org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix20);
    int i24 = array2DRowRealMatrix20.getColumnDimension();
    org.apache.commons.math3.linear.RealVector realVector25 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealVector realVector26 = array2DRowRealMatrix20.operate(realVector25);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 2);

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test156"); }


    org.apache.commons.math3.Field field0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.BlockFieldMatrix blockFieldMatrix3 = new org.apache.commons.math3.linear.BlockFieldMatrix(field0, 2, 2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test157"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldMatrix fieldMatrix4 = array2DRowFieldMatrix1.power(1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test158"); }


    double[] d_array2 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 100.0d, false);
    double[] d_array6 = pointValuePair5.getPoint();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector7 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.ArrayRealVector arrayRealVector8 = new org.apache.commons.math3.linear.ArrayRealVector(d_array6, arrayRealVector7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test159"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.7453292519943295d);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test160"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array3 = array2DRowFieldMatrix1.getDataRef();
    org.apache.commons.math3.linear.FieldMatrixChangingVisitor fieldMatrixChangingVisitor4 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement fieldElement9 = array2DRowFieldMatrix1.walkInOptimizedOrder(fieldMatrixChangingVisitor4, 1, 1, (-1), 1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array3);

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test161"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 100.0d);

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test162"); }


    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math3.linear.BlockRealMatrix(3, 10);
    org.apache.commons.math3.linear.RealMatrix realMatrix4 = blockRealMatrix2.scalarMultiply(3.141592653589793d);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix5 = blockRealMatrix2.transpose();
    double[] d_array9 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair12 = new org.apache.commons.math3.optimization.PointValuePair(d_array9, 100.0d, false);
    double[][] d_array_array13 = new double[][] { d_array9 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix15 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array13, true);
    double d16 = array2DRowRealMatrix15.getFrobeniusNorm();
    org.apache.commons.math3.linear.RealMatrix realMatrix18 = array2DRowRealMatrix15.getColumnMatrix(0);
    double[] d_array21 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair24 = new org.apache.commons.math3.optimization.PointValuePair(d_array21, 100.0d, false);
    double[][] d_array_array25 = new double[][] { d_array21 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix27 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array25, true);
    double d28 = array2DRowRealMatrix27.getFrobeniusNorm();
    boolean b29 = array2DRowRealMatrix27.isTransposable();
    org.apache.commons.math3.linear.RealMatrix realMatrix30 = array2DRowRealMatrix15.subtract((org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix27);
    int i31 = array2DRowRealMatrix27.getColumnDimension();
    int i32 = array2DRowRealMatrix27.getRowDimension();
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix5.setColumnMatrix(10, (org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix27);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 1);

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test163"); }


    double d3 = org.apache.commons.math3.util.Precision.round(2.2250738585072014E-308d, 1, 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test164"); }


    java.lang.Double[] d_array1 = new java.lang.Double[] { 2.2250738585072014E-308d };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.ArrayRealVector arrayRealVector4 = new org.apache.commons.math3.linear.ArrayRealVector(d_array1, 2, 3);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test165"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(9.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.8934439858858716d);

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test166"); }


    org.apache.commons.math3.linear.AnyMatrix anyMatrix0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.checkSubMatrixIndex(anyMatrix0, 0, 10, 0, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test167"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    org.apache.commons.math3.FieldElement[] fieldElement_array7 = null;
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array8 = new org.apache.commons.math3.FieldElement[][] { fieldElement_array7 };
    // The following exception was thrown during execution in test generation
    try {
      array2DRowFieldMatrix1.copySubMatrix(100, 10, 1, 3, fieldElement_array_array8);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array8);

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test168"); }


    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math3.linear.BlockRealMatrix(3, 10);
    org.apache.commons.math3.linear.RealMatrix realMatrix4 = blockRealMatrix2.scalarMultiply(3.141592653589793d);
    // The following exception was thrown during execution in test generation
    try {
      double d5 = blockRealMatrix2.getTrace();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.NonSquareMatrixException");
    } catch (org.apache.commons.math3.linear.NonSquareMatrixException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.linear.NonSquareMatrixException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.NonSquareMatrixException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix4);

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test169"); }


    long long1 = org.apache.commons.math3.util.FastMath.abs(0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test170"); }


    org.apache.commons.math3.exception.NoDataException noDataException0 = new org.apache.commons.math3.exception.NoDataException();

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test171"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(2.2250738585072014E-308d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1022));

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test172"); }


    org.apache.commons.math3.Field field0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldMatrix fieldMatrix2 = org.apache.commons.math3.linear.MatrixUtils.<org.apache.commons.math3.FieldElement>createFieldIdentityMatrix(field0, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test173"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test174"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldMatrix fieldMatrix5 = array2DRowFieldMatrix1.createMatrix(2, 36);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);

  }

  @Test
  public void test175() {}
// Defects4J: flaky method
//   @Test
//   public void test175() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test175"); }
// 
// 
//     double d0 = org.apache.commons.math3.util.FastMath.random();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d0 == 0.820423992837566d);
// 
//   }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test176"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.linear.FieldMatrixChangingVisitor fieldMatrixChangingVisitor2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement fieldElement7 = array2DRowFieldMatrix1.walkInRowOrder(fieldMatrixChangingVisitor2, 2, 2, 0, (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test177"); }


    double[] d_array2 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 100.0d, false);
    double[][] d_array_array6 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix8 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array6, true);
    double d9 = array2DRowRealMatrix8.getFrobeniusNorm();
    org.apache.commons.math3.linear.RealMatrix realMatrix11 = array2DRowRealMatrix8.getColumnMatrix(0);
    org.apache.commons.math3.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor12 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d17 = array2DRowRealMatrix8.walkInColumnOrder(realMatrixPreservingVisitor12, 0, 0, 2, 100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix11);

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test178"); }


    double[] d_array2 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 100.0d, false);
    double[][] d_array_array6 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix8 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array6, true);
    double d9 = array2DRowRealMatrix8.getFrobeniusNorm();
    boolean b10 = array2DRowRealMatrix8.isTransposable();
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array12 = array2DRowRealMatrix8.getRow(1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test179"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException5 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)(byte)10, (java.lang.Number)(short)100, true);
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    double[] d_array8 = new double[] { 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair10 = new org.apache.commons.math3.optimization.PointValuePair(d_array8, 3.141592653589793d);
    double[][] d_array_array11 = new double[][] { d_array8 };
    org.apache.commons.math3.linear.RealMatrix realMatrix12 = org.apache.commons.math3.linear.MatrixUtils.createRealMatrix(d_array_array11);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException13 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)numberIsTooSmallException5, localizable6, (java.lang.Object[])d_array_array11);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix15 = new org.apache.commons.math3.linear.BlockRealMatrix(0, 36, d_array_array11, false);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix12);

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test180"); }


    org.apache.commons.math3.linear.RealVector realVector0 = null;
    org.apache.commons.math3.linear.RealVector realVector2 = null;
    org.apache.commons.math3.optimization.linear.Relationship relationship3 = org.apache.commons.math3.optimization.linear.Relationship.EQ;
    org.apache.commons.math3.optimization.linear.LinearConstraint linearConstraint5 = new org.apache.commons.math3.optimization.linear.LinearConstraint(realVector2, relationship3, 1.0d);
    org.apache.commons.math3.optimization.linear.Relationship relationship6 = linearConstraint5.getRelationship();
    org.apache.commons.math3.linear.RealVector realVector7 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.linear.LinearConstraint linearConstraint9 = new org.apache.commons.math3.optimization.linear.LinearConstraint(realVector0, 0.7853981633974483d, relationship6, realVector7, 100.4987562112089d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship6);

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test181"); }


    double[] d_array2 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 100.0d, false);
    double[][] d_array_array6 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix8 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array6, true);
    double d9 = array2DRowRealMatrix8.getFrobeniusNorm();
    boolean b10 = array2DRowRealMatrix8.isTransposable();
    org.apache.commons.math3.linear.RealMatrix realMatrix12 = null;
    // The following exception was thrown during execution in test generation
    try {
      array2DRowRealMatrix8.setRowMatrix(10, realMatrix12);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test182"); }


    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix0 = new org.apache.commons.math3.linear.Array2DRowRealMatrix();
    org.apache.commons.math3.linear.RealMatrixChangingVisitor realMatrixChangingVisitor1 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d2 = array2DRowRealMatrix0.walkInOptimizedOrder(realMatrixChangingVisitor1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test183"); }


    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix0 = new org.apache.commons.math3.linear.Array2DRowRealMatrix();
    org.apache.commons.math3.linear.RealMatrixChangingVisitor realMatrixChangingVisitor1 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d2 = array2DRowRealMatrix0.walkInColumnOrder(realMatrixChangingVisitor1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test184"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.ArrayRealVector arrayRealVector1 = new org.apache.commons.math3.linear.ArrayRealVector((-1022));
      org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException");
    } catch (java.lang.NegativeArraySizeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NegativeArraySizeException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test185"); }


    double[] d_array2 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 100.0d, false);
    double[][] d_array_array6 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix8 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array6, true);
    double d9 = array2DRowRealMatrix8.getFrobeniusNorm();
    org.apache.commons.math3.linear.RealMatrix realMatrix11 = array2DRowRealMatrix8.getColumnMatrix(0);
    double[] d_array14 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair17 = new org.apache.commons.math3.optimization.PointValuePair(d_array14, 100.0d, false);
    double[][] d_array_array18 = new double[][] { d_array14 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix20 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array18, true);
    double d21 = array2DRowRealMatrix20.getFrobeniusNorm();
    boolean b22 = array2DRowRealMatrix20.isTransposable();
    org.apache.commons.math3.linear.RealMatrix realMatrix23 = array2DRowRealMatrix8.subtract((org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix20);
    org.apache.commons.math3.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor24 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d25 = array2DRowRealMatrix8.walkInRowOrder(realMatrixPreservingVisitor24);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix23);

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test186"); }


    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math3.linear.BlockRealMatrix(3, 10);
    org.apache.commons.math3.linear.RealMatrix realMatrix4 = blockRealMatrix2.scalarMultiply(3.141592653589793d);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix5 = blockRealMatrix2.transpose();
    double d6 = blockRealMatrix2.getNorm();
    org.apache.commons.math3.linear.RealMatrixChangingVisitor realMatrixChangingVisitor7 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d12 = blockRealMatrix2.walkInOptimizedOrder(realMatrixChangingVisitor7, 3, 0, 0, 1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test187"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(0.820423992837566d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6870711206407418d);

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test188"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement[] fieldElement_array4 = array2DRowFieldMatrix1.getColumn(100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test189"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.linear.FieldMatrixPreservingVisitor fieldMatrixPreservingVisitor2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement fieldElement7 = array2DRowFieldMatrix1.walkInColumnOrder(fieldMatrixPreservingVisitor2, 10, 0, (-1), (-1022));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test190"); }


    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix0 = new org.apache.commons.math3.linear.Array2DRowRealMatrix();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealMatrix realMatrix2 = array2DRowRealMatrix0.scalarAdd((-1.0d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test191"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(1.5707963267948966d, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test192"); }


    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math3.linear.BlockRealMatrix(3, 10);
    org.apache.commons.math3.linear.RealMatrix realMatrix4 = blockRealMatrix2.scalarMultiply(3.141592653589793d);
    java.lang.Double[] d_array6 = new java.lang.Double[] { 0.0d };
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector7 = new org.apache.commons.math3.linear.ArrayRealVector(d_array6);
    java.util.Iterator iterator8 = arrayRealVector7.iterator();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.solveUpperTriangularSystem((org.apache.commons.math3.linear.RealMatrix)blockRealMatrix2, (org.apache.commons.math3.linear.RealVector)arrayRealVector7);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator8);

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test193"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    java.lang.String str3 = array2DRowFieldMatrix1.toString();
    org.apache.commons.math3.linear.FieldMatrixPreservingVisitor fieldMatrixPreservingVisitor4 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement fieldElement9 = array2DRowFieldMatrix1.walkInRowOrder(fieldMatrixPreservingVisitor4, 0, (-1), 10, 3);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Array2DRowFieldMatrix{}"+ "'", str3.equals("Array2DRowFieldMatrix{}"));

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test194"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(2.154434690031884d, (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test195"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(100.4987562112089d, 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 100.4987562112089d);

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test196"); }


    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math3.linear.BlockRealMatrix(3, 10);
    org.apache.commons.math3.linear.RealMatrix realMatrix4 = blockRealMatrix2.scalarMultiply(3.141592653589793d);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix5 = blockRealMatrix2.transpose();
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix8 = blockRealMatrix2.createMatrix(100, 1);
    double[] d_array12 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair15 = new org.apache.commons.math3.optimization.PointValuePair(d_array12, 100.0d, false);
    double[][] d_array_array16 = new double[][] { d_array12 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array16, true);
    double[] d_array22 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair25 = new org.apache.commons.math3.optimization.PointValuePair(d_array22, 100.0d, false);
    double[][] d_array_array26 = new double[][] { d_array22 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix28 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array26, true);
    double d29 = array2DRowRealMatrix28.getFrobeniusNorm();
    boolean b30 = array2DRowRealMatrix28.isTransposable();
    boolean b31 = array2DRowRealMatrix28.isSquare();
    double[][] d_array_array32 = array2DRowRealMatrix28.getData();
    array2DRowRealMatrix18.setRowMatrix(0, (org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix28);
    double[] d_array36 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair39 = new org.apache.commons.math3.optimization.PointValuePair(d_array36, 100.0d, false);
    double[] d_array40 = array2DRowRealMatrix18.operate(d_array36);
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix8.setColumn(0, d_array36);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.MatrixDimensionMismatchException");
    } catch (org.apache.commons.math3.linear.MatrixDimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.linear.MatrixDimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.MatrixDimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test197"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array3 = array2DRowFieldMatrix1.getDataRef();
    org.apache.commons.math3.optimization.linear.NoFeasibleSolutionException noFeasibleSolutionException4 = new org.apache.commons.math3.optimization.linear.NoFeasibleSolutionException();
    boolean b5 = array2DRowFieldMatrix1.equals((java.lang.Object)noFeasibleSolutionException4);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldMatrix fieldMatrix7 = array2DRowFieldMatrix1.power(0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test198"); }


    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math3.linear.BlockRealMatrix(3, 100);
    java.lang.Double[] d_array4 = new java.lang.Double[] { 0.0d };
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector5 = new org.apache.commons.math3.linear.ArrayRealVector(d_array4);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector7 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector5, true);
    org.apache.commons.math3.linear.RealVector realVector9 = arrayRealVector5.mapMultiply(0.0d);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.solveUpperTriangularSystem((org.apache.commons.math3.linear.RealMatrix)blockRealMatrix2, (org.apache.commons.math3.linear.RealVector)arrayRealVector5);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector9);

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test199"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(1.5707963267948966d, 57.29577951308232d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 57.31730760522529d);

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test200"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(10.0f, (-1.0f), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test201"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array3 = array2DRowFieldMatrix1.getDataRef();
    org.apache.commons.math3.optimization.linear.NoFeasibleSolutionException noFeasibleSolutionException4 = new org.apache.commons.math3.optimization.linear.NoFeasibleSolutionException();
    boolean b5 = array2DRowFieldMatrix1.equals((java.lang.Object)noFeasibleSolutionException4);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement fieldElement8 = array2DRowFieldMatrix1.getEntry(36, (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test202"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    java.lang.String str3 = array2DRowFieldMatrix1.toString();
    org.apache.commons.math3.Field field4 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix5 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field4);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array6 = array2DRowFieldMatrix5.getDataRef();
    java.lang.String str7 = array2DRowFieldMatrix5.toString();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldMatrix fieldMatrix8 = array2DRowFieldMatrix1.preMultiply((org.apache.commons.math3.linear.FieldMatrix)array2DRowFieldMatrix5);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Array2DRowFieldMatrix{}"+ "'", str3.equals("Array2DRowFieldMatrix{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "Array2DRowFieldMatrix{}"+ "'", str7.equals("Array2DRowFieldMatrix{}"));

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test203"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array3 = array2DRowFieldMatrix1.getDataRef();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = org.apache.commons.math3.linear.MatrixUtils.fractionMatrixToRealMatrix((org.apache.commons.math3.linear.FieldMatrix)array2DRowFieldMatrix1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoDataException");
    } catch (org.apache.commons.math3.exception.NoDataException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NoDataException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoDataException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array3);

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test204"); }


    java.lang.Double[] d_array1 = new java.lang.Double[] { 0.0d };
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector2 = new org.apache.commons.math3.linear.ArrayRealVector(d_array1);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector4 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector2, true);
    java.lang.Double[] d_array6 = new java.lang.Double[] { 0.0d };
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector7 = new org.apache.commons.math3.linear.ArrayRealVector(d_array6);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector8 = arrayRealVector4.append(arrayRealVector7);
    java.io.ObjectOutputStream objectOutputStream9 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.serializeRealVector((org.apache.commons.math3.linear.RealVector)arrayRealVector4, objectOutputStream9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector8);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test205"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.linear.FieldVector fieldVector3 = null;
    // The following exception was thrown during execution in test generation
    try {
      array2DRowFieldMatrix1.setRowVector(10, fieldVector3);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test206"); }


    org.apache.commons.math3.linear.RealVector realVector0 = null;
    org.apache.commons.math3.optimization.linear.Relationship relationship1 = org.apache.commons.math3.optimization.linear.Relationship.EQ;
    org.apache.commons.math3.optimization.linear.LinearConstraint linearConstraint3 = new org.apache.commons.math3.optimization.linear.LinearConstraint(realVector0, relationship1, 1.0d);
    org.apache.commons.math3.optimization.linear.Relationship relationship4 = linearConstraint3.getRelationship();
    org.apache.commons.math3.optimization.linear.UnboundedSolutionException unboundedSolutionException5 = new org.apache.commons.math3.optimization.linear.UnboundedSolutionException();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext6 = unboundedSolutionException5.getContext();
    boolean b7 = linearConstraint3.equals((java.lang.Object)unboundedSolutionException5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test207"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 22026.465794806718d);

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test208"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.ArrayRealVector arrayRealVector2 = new org.apache.commons.math3.linear.ArrayRealVector((-1), 0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException");
    } catch (java.lang.NegativeArraySizeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NegativeArraySizeException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test209"); }


    org.apache.commons.math3.Field field0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix3 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0, (-1), 36);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test210"); }


    double[] d_array2 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 100.0d, false);
    double[][] d_array_array6 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix8 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array6, true);
    double d9 = array2DRowRealMatrix8.getFrobeniusNorm();
    boolean b10 = array2DRowRealMatrix8.isTransposable();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.checkColumnIndex((org.apache.commons.math3.linear.AnyMatrix)array2DRowRealMatrix8, 10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test211"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs((-1022));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1022);

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test212"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.FieldElement fieldElement1 = null;
    org.apache.commons.math3.FieldElement[] fieldElement_array2 = new org.apache.commons.math3.FieldElement[] { fieldElement1 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix3 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0, fieldElement_array2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array2);

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test213"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix3 = org.apache.commons.math3.linear.MatrixUtils.bigFractionMatrixToRealMatrix((org.apache.commons.math3.linear.FieldMatrix)array2DRowFieldMatrix1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoDataException");
    } catch (org.apache.commons.math3.exception.NoDataException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NoDataException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoDataException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test214"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math3.linear.OpenMapRealMatrix(10, (-1022));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test215"); }


    org.apache.commons.math3.FieldElement fieldElement0 = null;
    org.apache.commons.math3.FieldElement[] fieldElement_array1 = new org.apache.commons.math3.FieldElement[] { fieldElement0 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldMatrix fieldMatrix2 = org.apache.commons.math3.linear.MatrixUtils.<org.apache.commons.math3.FieldElement>createFieldDiagonalMatrix(fieldElement_array1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array1);

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test216"); }


    double[] d_array2 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 100.0d, false);
    double[][] d_array_array6 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix8 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array6, true);
    double d9 = array2DRowRealMatrix8.getFrobeniusNorm();
    boolean b10 = array2DRowRealMatrix8.isTransposable();
    int[] i_array11 = new int[] {  };
    int[] i_array14 = new int[] { (-1), 0 };
    double[] d_array18 = new double[] { (-1.0d), 10.0d, 100.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array18);
    double[][] d_array_array20 = new double[][] { d_array18 };
    org.apache.commons.math3.linear.RealMatrix realMatrix21 = org.apache.commons.math3.linear.MatrixUtils.createRealMatrix(d_array_array20);
    // The following exception was thrown during execution in test generation
    try {
      array2DRowRealMatrix8.copySubMatrix(i_array11, i_array14, d_array_array20);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoDataException");
    } catch (org.apache.commons.math3.exception.NoDataException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NoDataException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoDataException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix21);

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test217"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    org.apache.commons.math3.Field field3 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix4 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field3);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array5 = array2DRowFieldMatrix4.getDataRef();
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array6 = array2DRowFieldMatrix4.getDataRef();
    org.apache.commons.math3.optimization.linear.NoFeasibleSolutionException noFeasibleSolutionException7 = new org.apache.commons.math3.optimization.linear.NoFeasibleSolutionException();
    boolean b8 = array2DRowFieldMatrix4.equals((java.lang.Object)noFeasibleSolutionException7);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldMatrix fieldMatrix9 = array2DRowFieldMatrix1.add((org.apache.commons.math3.linear.FieldMatrix)array2DRowFieldMatrix4);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test218"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(0.0f, 1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test219"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math3.linear.OpenMapRealMatrix(36, (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test220"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    java.lang.Object[] obj_array4 = new java.lang.Object[] { 10.0d };
    org.apache.commons.math3.exception.ZeroException zeroException5 = new org.apache.commons.math3.exception.ZeroException(localizable2, obj_array4);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException6 = new org.apache.commons.math3.exception.MathIllegalStateException(throwable0, localizable1, obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test221"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math3.util.Precision.round(0.0f, (-1), (-1022));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test222"); }


    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math3.linear.BlockRealMatrix(3, 100);
    java.lang.String str3 = blockRealMatrix2.toString();
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix7 = new org.apache.commons.math3.linear.BlockRealMatrix(3, 10);
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix2.setColumnMatrix(10, (org.apache.commons.math3.linear.RealMatrix)blockRealMatrix7);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.MatrixDimensionMismatchException");
    } catch (org.apache.commons.math3.linear.MatrixDimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.linear.MatrixDimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.MatrixDimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "BlockRealMatrix{{0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0}}"+ "'", str3.equals("BlockRealMatrix{{0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0}}"));

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test223"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array3 = array2DRowFieldMatrix1.getDataRef();
    org.apache.commons.math3.FieldElement fieldElement6 = null;
    // The following exception was thrown during execution in test generation
    try {
      array2DRowFieldMatrix1.setEntry(0, (-1022), fieldElement6);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array3);

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test224"); }


    java.lang.Double[] d_array1 = new java.lang.Double[] { 0.0d };
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector2 = new org.apache.commons.math3.linear.ArrayRealVector(d_array1);
    org.apache.commons.math3.linear.RealVectorPreservingVisitor realVectorPreservingVisitor3 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d6 = arrayRealVector2.walkInOptimizedOrder(realVectorPreservingVisitor3, 1, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test225"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array3 = array2DRowFieldMatrix1.getDataRef();
    org.apache.commons.math3.optimization.linear.NoFeasibleSolutionException noFeasibleSolutionException4 = new org.apache.commons.math3.optimization.linear.NoFeasibleSolutionException();
    boolean b5 = array2DRowFieldMatrix1.equals((java.lang.Object)noFeasibleSolutionException4);
    org.apache.commons.math3.linear.FieldMatrixPreservingVisitor fieldMatrixPreservingVisitor6 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement fieldElement11 = array2DRowFieldMatrix1.walkInColumnOrder(fieldMatrixPreservingVisitor6, 10, 36, 0, 100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test226"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldVector fieldVector4 = array2DRowFieldMatrix1.getRowVector((-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test227"); }


    java.lang.Double[] d_array1 = new java.lang.Double[] { 0.0d };
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector2 = new org.apache.commons.math3.linear.ArrayRealVector(d_array1);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector4 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector2, true);
    java.lang.Double[] d_array6 = new java.lang.Double[] { 0.0d };
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector7 = new org.apache.commons.math3.linear.ArrayRealVector(d_array6);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector8 = arrayRealVector4.append(arrayRealVector7);
    java.lang.Double[] d_array10 = new java.lang.Double[] { 0.0d };
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector11 = new org.apache.commons.math3.linear.ArrayRealVector(d_array10);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector13 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector11, true);
    java.lang.Double[] d_array15 = new java.lang.Double[] { 0.0d };
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector16 = new org.apache.commons.math3.linear.ArrayRealVector(d_array15);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector17 = arrayRealVector13.append(arrayRealVector16);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.ArrayRealVector arrayRealVector18 = arrayRealVector4.ebeMultiply((org.apache.commons.math3.linear.RealVector)arrayRealVector17);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector17);

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test228"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    java.lang.String str3 = array2DRowFieldMatrix1.toString();
    org.apache.commons.math3.FieldElement fieldElement5 = null;
    org.apache.commons.math3.FieldElement[] fieldElement_array6 = new org.apache.commons.math3.FieldElement[] { fieldElement5 };
    // The following exception was thrown during execution in test generation
    try {
      array2DRowFieldMatrix1.setColumn(10, fieldElement_array6);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Array2DRowFieldMatrix{}"+ "'", str3.equals("Array2DRowFieldMatrix{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array6);

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test229"); }


    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math3.linear.BlockRealMatrix(3, 10);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math3.linear.BlockRealMatrix(3, 10);
    org.apache.commons.math3.linear.RealMatrix realMatrix8 = blockRealMatrix6.getColumnMatrix(3);
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix2.setRowMatrix(3, realMatrix8);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix8);

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test230"); }


    java.lang.Double[] d_array1 = new java.lang.Double[] { 0.0d };
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector2 = new org.apache.commons.math3.linear.ArrayRealVector(d_array1);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector4 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector2, true);
    org.apache.commons.math3.linear.RealVectorChangingVisitor realVectorChangingVisitor5 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d8 = arrayRealVector2.walkInOptimizedOrder(realVectorChangingVisitor5, 1022, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test231"); }


    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math3.linear.BlockRealMatrix(3, 10);
    org.apache.commons.math3.linear.RealMatrix realMatrix4 = blockRealMatrix2.scalarMultiply(3.141592653589793d);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix5 = blockRealMatrix2.transpose();
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix8 = blockRealMatrix2.createMatrix(100, 1);
    int[] i_array9 = null;
    int[] i_array13 = new int[] { 100, 10, 0 };
    double[] d_array16 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair19 = new org.apache.commons.math3.optimization.PointValuePair(d_array16, 100.0d, false);
    double[][] d_array_array20 = new double[][] { d_array16 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix22 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array20, true);
    double d23 = array2DRowRealMatrix22.getFrobeniusNorm();
    org.apache.commons.math3.linear.RealMatrix realMatrix25 = array2DRowRealMatrix22.getColumnMatrix(0);
    double[] d_array28 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair31 = new org.apache.commons.math3.optimization.PointValuePair(d_array28, 100.0d, false);
    double[][] d_array_array32 = new double[][] { d_array28 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix34 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array32, true);
    double d35 = array2DRowRealMatrix34.getFrobeniusNorm();
    boolean b36 = array2DRowRealMatrix34.isTransposable();
    org.apache.commons.math3.linear.RealMatrix realMatrix37 = array2DRowRealMatrix22.subtract((org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix34);
    int i38 = array2DRowRealMatrix34.getColumnDimension();
    double[][] d_array_array39 = array2DRowRealMatrix34.getData();
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix2.copySubMatrix(i_array9, i_array13, d_array_array39);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array39);

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test232"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.303267778580295d);

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test233"); }


    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math3.linear.BlockRealMatrix(3, 10);
    org.apache.commons.math3.linear.RealMatrix realMatrix4 = blockRealMatrix2.scalarMultiply(3.141592653589793d);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix5 = blockRealMatrix2.transpose();
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix8 = blockRealMatrix2.createMatrix(100, 1);
    org.apache.commons.math3.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor9 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d14 = blockRealMatrix2.walkInOptimizedOrder(realMatrixPreservingVisitor9, 2, 1022, 1022, 1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix8);

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test234"); }


    double[] d_array2 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 100.0d, false);
    double[][] d_array_array6 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix8 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array6, true);
    double d9 = array2DRowRealMatrix8.getFrobeniusNorm();
    boolean b10 = array2DRowRealMatrix8.isTransposable();
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix13 = new org.apache.commons.math3.linear.BlockRealMatrix(3, 10);
    org.apache.commons.math3.linear.RealMatrix realMatrix15 = blockRealMatrix13.scalarMultiply(3.141592653589793d);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix16 = blockRealMatrix13.transpose();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealMatrix realMatrix17 = array2DRowRealMatrix8.subtract((org.apache.commons.math3.linear.RealMatrix)blockRealMatrix16);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.MatrixDimensionMismatchException");
    } catch (org.apache.commons.math3.linear.MatrixDimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.linear.MatrixDimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.MatrixDimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix16);

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test235"); }


    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math3.linear.BlockRealMatrix(3, 10);
    org.apache.commons.math3.linear.RealMatrix realMatrix4 = blockRealMatrix2.scalarMultiply(3.141592653589793d);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix5 = blockRealMatrix2.transpose();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealMatrix realMatrix7 = blockRealMatrix5.getColumnMatrix(10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix5);

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test236"); }


    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math3.linear.BlockRealMatrix(3, 100);
    java.lang.String str3 = blockRealMatrix2.toString();
    double[] d_array6 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair9 = new org.apache.commons.math3.optimization.PointValuePair(d_array6, 100.0d, false);
    double[] d_array10 = pointValuePair9.getPoint();
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array11 = blockRealMatrix2.preMultiply(d_array10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "BlockRealMatrix{{0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0}}"+ "'", str3.equals("BlockRealMatrix{{0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test237"); }


    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math3.linear.BlockRealMatrix(3, 10);
    org.apache.commons.math3.linear.RealMatrix realMatrix4 = blockRealMatrix2.getColumnMatrix(3);
    double[] d_array7 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair10 = new org.apache.commons.math3.optimization.PointValuePair(d_array7, 100.0d, false);
    double[][] d_array_array11 = new double[][] { d_array7 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix13 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array11, true);
    double d14 = array2DRowRealMatrix13.getFrobeniusNorm();
    org.apache.commons.math3.linear.RealMatrix realMatrix16 = array2DRowRealMatrix13.getColumnMatrix(0);
    double[] d_array19 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair22 = new org.apache.commons.math3.optimization.PointValuePair(d_array19, 100.0d, false);
    double[][] d_array_array23 = new double[][] { d_array19 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix25 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array23, true);
    double d26 = array2DRowRealMatrix25.getFrobeniusNorm();
    boolean b27 = array2DRowRealMatrix25.isTransposable();
    org.apache.commons.math3.linear.RealMatrix realMatrix28 = array2DRowRealMatrix13.subtract((org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix25);
    double[][] d_array_array29 = array2DRowRealMatrix25.getData();
    double[] d_array32 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair35 = new org.apache.commons.math3.optimization.PointValuePair(d_array32, 100.0d, false);
    double[][] d_array_array36 = new double[][] { d_array32 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix38 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array36, true);
    double[] d_array42 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair45 = new org.apache.commons.math3.optimization.PointValuePair(d_array42, 100.0d, false);
    double[][] d_array_array46 = new double[][] { d_array42 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix48 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array46, true);
    double d49 = array2DRowRealMatrix48.getFrobeniusNorm();
    boolean b50 = array2DRowRealMatrix48.isTransposable();
    boolean b51 = array2DRowRealMatrix48.isSquare();
    double[][] d_array_array52 = array2DRowRealMatrix48.getData();
    array2DRowRealMatrix38.setRowMatrix(0, (org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix48);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix54 = array2DRowRealMatrix25.subtract(array2DRowRealMatrix48);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix55 = blockRealMatrix2.multiply((org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix54);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix54);

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test238"); }


    java.lang.Double[] d_array1 = new java.lang.Double[] { 0.0d };
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector2 = new org.apache.commons.math3.linear.ArrayRealVector(d_array1);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector4 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector2, true);
    java.lang.Double[] d_array6 = new java.lang.Double[] { 0.0d };
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector7 = new org.apache.commons.math3.linear.ArrayRealVector(d_array6);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector8 = arrayRealVector4.append(arrayRealVector7);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector9 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.ArrayRealVector arrayRealVector10 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector7, arrayRealVector9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector8);

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test239"); }


    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math3.linear.BlockRealMatrix(3, 10);
    org.apache.commons.math3.linear.RealMatrix realMatrix4 = blockRealMatrix2.scalarMultiply(3.141592653589793d);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix5 = blockRealMatrix2.transpose();
    double d6 = blockRealMatrix2.getNorm();
    java.io.ObjectOutputStream objectOutputStream7 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.serializeRealMatrix((org.apache.commons.math3.linear.RealMatrix)blockRealMatrix2, objectOutputStream7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test240"); }


    float f3 = org.apache.commons.math3.util.Precision.round(9.999999f, 1, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f3 == 10.0f);

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test241"); }


    double[] d_array2 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 100.0d, false);
    double[][] d_array_array6 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix8 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array6, true);
    double d9 = array2DRowRealMatrix8.getFrobeniusNorm();
    boolean b10 = array2DRowRealMatrix8.isTransposable();
    int i11 = array2DRowRealMatrix8.getRowDimension();
    double[] d_array14 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair17 = new org.apache.commons.math3.optimization.PointValuePair(d_array14, 100.0d, false);
    double[][] d_array_array18 = new double[][] { d_array14 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix20 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array18, true);
    double[] d_array24 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair27 = new org.apache.commons.math3.optimization.PointValuePair(d_array24, 100.0d, false);
    double[][] d_array_array28 = new double[][] { d_array24 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix30 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array28, true);
    double d31 = array2DRowRealMatrix30.getFrobeniusNorm();
    boolean b32 = array2DRowRealMatrix30.isTransposable();
    boolean b33 = array2DRowRealMatrix30.isSquare();
    double[][] d_array_array34 = array2DRowRealMatrix30.getData();
    array2DRowRealMatrix20.setRowMatrix(0, (org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix30);
    double[] d_array38 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair41 = new org.apache.commons.math3.optimization.PointValuePair(d_array38, 100.0d, false);
    double[] d_array42 = array2DRowRealMatrix20.operate(d_array38);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array43 = array2DRowRealMatrix8.operate(d_array42);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test242"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.ArrayRealVector arrayRealVector2 = new org.apache.commons.math3.linear.ArrayRealVector((-1022), 57.31730760522529d);
      org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException");
    } catch (java.lang.NegativeArraySizeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NegativeArraySizeException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test243"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(6.283185307179586d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 8.881784197001252E-16d);

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test244"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array3 = array2DRowFieldMatrix1.getDataRef();
    org.apache.commons.math3.optimization.linear.NoFeasibleSolutionException noFeasibleSolutionException4 = new org.apache.commons.math3.optimization.linear.NoFeasibleSolutionException();
    boolean b5 = array2DRowFieldMatrix1.equals((java.lang.Object)noFeasibleSolutionException4);
    org.apache.commons.math3.Field field6 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix7 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field6);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array8 = array2DRowFieldMatrix7.getDataRef();
    java.lang.String str9 = array2DRowFieldMatrix7.toString();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix10 = array2DRowFieldMatrix1.multiply(array2DRowFieldMatrix7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "Array2DRowFieldMatrix{}"+ "'", str9.equals("Array2DRowFieldMatrix{}"));

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test245"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array3 = array2DRowFieldMatrix1.getDataRef();
    org.apache.commons.math3.linear.FieldMatrixChangingVisitor fieldMatrixChangingVisitor4 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement fieldElement5 = array2DRowFieldMatrix1.walkInRowOrder(fieldMatrixChangingVisitor4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array3);

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test246"); }


    org.apache.commons.math3.linear.RealMatrix realMatrix1 = org.apache.commons.math3.linear.MatrixUtils.createRealIdentityMatrix(1022);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix1);

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test247"); }


    double[] d_array2 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 100.0d, false);
    double[][] d_array_array6 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix8 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array6, true);
    double[] d_array12 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair15 = new org.apache.commons.math3.optimization.PointValuePair(d_array12, 100.0d, false);
    double[][] d_array_array16 = new double[][] { d_array12 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array16, true);
    double d19 = array2DRowRealMatrix18.getFrobeniusNorm();
    boolean b20 = array2DRowRealMatrix18.isTransposable();
    boolean b21 = array2DRowRealMatrix18.isSquare();
    double[][] d_array_array22 = array2DRowRealMatrix18.getData();
    array2DRowRealMatrix8.setRowMatrix(0, (org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix18);
    org.apache.commons.math3.linear.RealMatrixChangingVisitor realMatrixChangingVisitor24 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d29 = array2DRowRealMatrix18.walkInColumnOrder(realMatrixChangingVisitor24, (-1022), 2, 3, 1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array22);

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test248"); }


    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math3.linear.BlockRealMatrix(3, 100);
    java.lang.String str3 = blockRealMatrix2.toString();
    org.apache.commons.math3.linear.RealMatrix realMatrix5 = blockRealMatrix2.getColumnMatrix(10);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.checkMatrixIndex((org.apache.commons.math3.linear.AnyMatrix)realMatrix5, 0, 36);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "BlockRealMatrix{{0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0}}"+ "'", str3.equals("BlockRealMatrix{{0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix5);

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test249"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(1.5707963267948966d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test250"); }


    double[] d_array2 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 100.0d, false);
    double[][] d_array_array6 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix8 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array6, true);
    double d9 = array2DRowRealMatrix8.getFrobeniusNorm();
    boolean b10 = array2DRowRealMatrix8.isTransposable();
    boolean b11 = array2DRowRealMatrix8.isSquare();
    org.apache.commons.math3.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor12 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d13 = array2DRowRealMatrix8.walkInRowOrder(realMatrixPreservingVisitor12);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test251"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array3 = array2DRowFieldMatrix1.getDataRef();
    org.apache.commons.math3.optimization.linear.NoFeasibleSolutionException noFeasibleSolutionException4 = new org.apache.commons.math3.optimization.linear.NoFeasibleSolutionException();
    boolean b5 = array2DRowFieldMatrix1.equals((java.lang.Object)noFeasibleSolutionException4);
    org.apache.commons.math3.FieldElement fieldElement6 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldMatrix fieldMatrix7 = array2DRowFieldMatrix1.scalarMultiply(fieldElement6);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test252"); }


    double[] d_array2 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 100.0d, false);
    double[][] d_array_array6 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix8 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array6, true);
    double d9 = array2DRowRealMatrix8.getFrobeniusNorm();
    org.apache.commons.math3.linear.RealMatrix realMatrix11 = array2DRowRealMatrix8.getColumnMatrix(0);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array13 = array2DRowRealMatrix8.getColumn(1022);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix11);

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test253"); }


    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math3.linear.BlockRealMatrix(3, 10);
    org.apache.commons.math3.linear.RealMatrix realMatrix4 = blockRealMatrix2.scalarMultiply(3.141592653589793d);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealVector realVector6 = blockRealMatrix2.getRowVector(36);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix4);

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test254"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(1.5707963267948966d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test255"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(10, (-1022));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 10);

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test256"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(57.31730760522529d, 0.820423992837566d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5564835824635326d);

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test257"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(100.4987562112089d, 4.9E-324d, (-1022));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test258"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable0, 3, 1);

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test259"); }


    double[] d_array2 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 100.0d, false);
    double[][] d_array_array6 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix8 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array6, true);
    int i9 = array2DRowRealMatrix8.getRowDimension();
    // The following exception was thrown during execution in test generation
    try {
      double d12 = array2DRowRealMatrix8.getEntry(2, 1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test260"); }


    org.apache.commons.math3.FieldElement[] fieldElement_array0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldVector fieldVector1 = org.apache.commons.math3.linear.MatrixUtils.<org.apache.commons.math3.FieldElement>createFieldVector(fieldElement_array0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test261"); }


    double[] d_array2 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 100.0d, false);
    double[][] d_array_array6 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix8 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array6, true);
    double d9 = array2DRowRealMatrix8.getFrobeniusNorm();
    org.apache.commons.math3.linear.RealMatrix realMatrix11 = array2DRowRealMatrix8.getColumnMatrix(0);
    double[] d_array14 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair17 = new org.apache.commons.math3.optimization.PointValuePair(d_array14, 100.0d, false);
    double[][] d_array_array18 = new double[][] { d_array14 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix20 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array18, true);
    double d21 = array2DRowRealMatrix20.getFrobeniusNorm();
    boolean b22 = array2DRowRealMatrix20.isTransposable();
    org.apache.commons.math3.linear.RealMatrix realMatrix23 = array2DRowRealMatrix8.subtract((org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix20);
    org.apache.commons.math3.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor24 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d29 = array2DRowRealMatrix20.walkInColumnOrder(realMatrixPreservingVisitor24, (-1), 2, 0, 3);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix23);

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test262"); }


    double[] d_array0 = null;
    org.apache.commons.math3.optimization.PointValuePair pointValuePair2 = new org.apache.commons.math3.optimization.PointValuePair(d_array0, 4.9E-324d);

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test263"); }


    double[] d_array1 = new double[] { 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair3 = new org.apache.commons.math3.optimization.PointValuePair(d_array1, 3.141592653589793d);
    double[][] d_array_array4 = new double[][] { d_array1 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix5 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4);
    double[][] d_array_array6 = array2DRowRealMatrix5.getDataRef();
    org.apache.commons.math3.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor7 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d12 = array2DRowRealMatrix5.walkInRowOrder(realMatrixPreservingVisitor7, 2, 100, 36, 100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test264"); }


    float f2 = org.apache.commons.math3.util.FastMath.min((-0.99999994f), 1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-0.99999994f));

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test265"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(6.283185307179586d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.283185307179586d);

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test266"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array3 = array2DRowFieldMatrix1.getDataRef();
    org.apache.commons.math3.optimization.linear.NoFeasibleSolutionException noFeasibleSolutionException4 = new org.apache.commons.math3.optimization.linear.NoFeasibleSolutionException();
    boolean b5 = array2DRowFieldMatrix1.equals((java.lang.Object)noFeasibleSolutionException4);
    org.apache.commons.math3.Field field6 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix7 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field6);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array8 = array2DRowFieldMatrix7.getDataRef();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldMatrix fieldMatrix9 = array2DRowFieldMatrix1.add((org.apache.commons.math3.linear.FieldMatrix)array2DRowFieldMatrix7);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array8);

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test267"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(0.6870711206407418d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.2454660011567422d);

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test268"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(1.0f, 1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test269"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(0.0f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test270"); }


    java.lang.Double[] d_array1 = new java.lang.Double[] { 0.0d };
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector2 = new org.apache.commons.math3.linear.ArrayRealVector(d_array1);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector4 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector2, true);
    org.apache.commons.math3.linear.RealVector realVector6 = arrayRealVector2.mapMultiply(0.0d);
    java.text.NumberFormat numberFormat7 = org.apache.commons.math3.util.CompositeFormat.getDefaultNumberFormat();
    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat8 = new org.apache.commons.math3.linear.RealVectorFormat(numberFormat7);
    boolean b9 = arrayRealVector2.equals((java.lang.Object)realVectorFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test271"); }


    double d3 = org.apache.commons.math3.util.Precision.round(6.283185307179586d, 0, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 6.0d);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test272"); }


    double[] d_array2 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 100.0d, false);
    double[][] d_array_array6 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix8 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array6, true);
    double[] d_array12 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair15 = new org.apache.commons.math3.optimization.PointValuePair(d_array12, 100.0d, false);
    double[][] d_array_array16 = new double[][] { d_array12 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array16, true);
    double d19 = array2DRowRealMatrix18.getFrobeniusNorm();
    boolean b20 = array2DRowRealMatrix18.isTransposable();
    boolean b21 = array2DRowRealMatrix18.isSquare();
    double[][] d_array_array22 = array2DRowRealMatrix18.getData();
    array2DRowRealMatrix8.setRowMatrix(0, (org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix18);
    double[] d_array26 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair29 = new org.apache.commons.math3.optimization.PointValuePair(d_array26, 100.0d, false);
    double[] d_array30 = array2DRowRealMatrix8.operate(d_array26);
    double[] d_array33 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair36 = new org.apache.commons.math3.optimization.PointValuePair(d_array33, 100.0d, false);
    double[][] d_array_array37 = new double[][] { d_array33 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix39 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array37, true);
    double d40 = array2DRowRealMatrix39.getFrobeniusNorm();
    boolean b41 = array2DRowRealMatrix39.isTransposable();
    boolean b42 = array2DRowRealMatrix39.isSquare();
    double[][] d_array_array43 = array2DRowRealMatrix39.getData();
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix44 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array43);
    org.apache.commons.math3.linear.RealMatrix realMatrix45 = array2DRowRealMatrix8.add((org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix44);
    double[] d_array48 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair51 = new org.apache.commons.math3.optimization.PointValuePair(d_array48, 100.0d, false);
    double[][] d_array_array52 = new double[][] { d_array48 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix54 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array52, true);
    double[] d_array58 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair61 = new org.apache.commons.math3.optimization.PointValuePair(d_array58, 100.0d, false);
    double[][] d_array_array62 = new double[][] { d_array58 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix64 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array62, true);
    double d65 = array2DRowRealMatrix64.getFrobeniusNorm();
    boolean b66 = array2DRowRealMatrix64.isTransposable();
    boolean b67 = array2DRowRealMatrix64.isSquare();
    double[][] d_array_array68 = array2DRowRealMatrix64.getData();
    array2DRowRealMatrix54.setRowMatrix(0, (org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix64);
    double[] d_array72 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair75 = new org.apache.commons.math3.optimization.PointValuePair(d_array72, 100.0d, false);
    double[] d_array76 = array2DRowRealMatrix54.operate(d_array72);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array77 = array2DRowRealMatrix8.preMultiply(d_array72);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b66 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b67 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test273"); }


    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat0 = new org.apache.commons.math3.linear.RealVectorFormat();
    java.lang.String str1 = realVectorFormat0.getSeparator();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.ArrayRealVector arrayRealVector3 = realVectorFormat0.parse("");
      org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException");
    } catch (java.lang.StringIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.StringIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "; "+ "'", str1.equals("; "));

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test274"); }


    double[] d_array2 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 100.0d, false);
    double[][] d_array_array6 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix8 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array6, true);
    double d9 = array2DRowRealMatrix8.getFrobeniusNorm();
    boolean b10 = array2DRowRealMatrix8.isTransposable();
    boolean b11 = array2DRowRealMatrix8.isSquare();
    double[][] d_array_array12 = array2DRowRealMatrix8.getData();
    double[] d_array16 = new double[] { (-1.0d), 10.0d, 100.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array16);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array18 = array2DRowRealMatrix8.operate(d_array16);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test275"); }


    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math3.linear.BlockRealMatrix(3, 10);
    org.apache.commons.math3.linear.RealMatrix realMatrix4 = blockRealMatrix2.scalarMultiply(3.141592653589793d);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix5 = blockRealMatrix2.transpose();
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix8 = blockRealMatrix2.createMatrix(100, 1);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix11 = new org.apache.commons.math3.linear.BlockRealMatrix(3, 10);
    org.apache.commons.math3.linear.RealMatrix realMatrix13 = blockRealMatrix11.scalarMultiply(3.141592653589793d);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix14 = blockRealMatrix11.transpose();
    org.apache.commons.math3.linear.MatrixUtils.checkAdditionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix2, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix11);
    org.apache.commons.math3.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor16 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d17 = blockRealMatrix11.walkInOptimizedOrder(realMatrixPreservingVisitor16);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix14);

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test276"); }


    // The following exception was thrown during execution in test generation
    try {
      double[][] d_array_array2 = org.apache.commons.math3.linear.BlockRealMatrix.createBlocksLayout((-1022), 2);
      org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException");
    } catch (java.lang.NegativeArraySizeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NegativeArraySizeException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test277"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(0.6870711206407418d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.6870711206407418d);

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test278"); }


    double[] d_array2 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 100.0d, false);
    double[][] d_array_array6 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix8 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array6, true);
    double d9 = array2DRowRealMatrix8.getFrobeniusNorm();
    org.apache.commons.math3.linear.RealMatrix realMatrix11 = array2DRowRealMatrix8.getColumnMatrix(0);
    double[] d_array14 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair17 = new org.apache.commons.math3.optimization.PointValuePair(d_array14, 100.0d, false);
    double[][] d_array_array18 = new double[][] { d_array14 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix20 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array18, true);
    double d21 = array2DRowRealMatrix20.getFrobeniusNorm();
    boolean b22 = array2DRowRealMatrix20.isTransposable();
    org.apache.commons.math3.linear.RealMatrix realMatrix23 = array2DRowRealMatrix8.subtract((org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix20);
    double[][] d_array_array24 = array2DRowRealMatrix20.getData();
    double[] d_array27 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair30 = new org.apache.commons.math3.optimization.PointValuePair(d_array27, 100.0d, false);
    double[][] d_array_array31 = new double[][] { d_array27 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix33 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array31, true);
    double[] d_array37 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair40 = new org.apache.commons.math3.optimization.PointValuePair(d_array37, 100.0d, false);
    double[][] d_array_array41 = new double[][] { d_array37 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix43 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array41, true);
    double d44 = array2DRowRealMatrix43.getFrobeniusNorm();
    boolean b45 = array2DRowRealMatrix43.isTransposable();
    boolean b46 = array2DRowRealMatrix43.isSquare();
    double[][] d_array_array47 = array2DRowRealMatrix43.getData();
    array2DRowRealMatrix33.setRowMatrix(0, (org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix43);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix49 = array2DRowRealMatrix20.subtract(array2DRowRealMatrix43);
    // The following exception was thrown during execution in test generation
    try {
      array2DRowRealMatrix20.addToEntry(10, 2, Double.NaN);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix49);

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test279"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math3.linear.OpenMapRealMatrix((-1), 100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test280"); }


    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math3.linear.BlockRealMatrix(3, 10);
    org.apache.commons.math3.linear.RealMatrix realMatrix4 = blockRealMatrix2.scalarMultiply(3.141592653589793d);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix5 = blockRealMatrix2.transpose();
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix8 = blockRealMatrix2.createMatrix(100, 1);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix11 = new org.apache.commons.math3.linear.BlockRealMatrix(3, 10);
    org.apache.commons.math3.linear.RealMatrix realMatrix13 = blockRealMatrix11.scalarMultiply(3.141592653589793d);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix14 = blockRealMatrix11.transpose();
    org.apache.commons.math3.linear.MatrixUtils.checkAdditionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix2, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix11);
    org.apache.commons.math3.linear.RealMatrixChangingVisitor realMatrixChangingVisitor16 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d21 = blockRealMatrix2.walkInOptimizedOrder(realMatrixChangingVisitor16, 2, (-1), 36, 1022);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix14);

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test281"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    java.lang.String str3 = array2DRowFieldMatrix1.toString();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldMatrix fieldMatrix5 = array2DRowFieldMatrix1.getColumnMatrix(0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Array2DRowFieldMatrix{}"+ "'", str3.equals("Array2DRowFieldMatrix{}"));

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test282"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(0.7853981633974483d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7853981633974483d);

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test283"); }


    org.apache.commons.math3.Field field0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix3 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0, 3, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test284"); }


    java.lang.Double[] d_array1 = new java.lang.Double[] { 0.0d };
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector2 = new org.apache.commons.math3.linear.ArrayRealVector(d_array1);
    org.apache.commons.math3.linear.RealVectorPreservingVisitor realVectorPreservingVisitor3 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = arrayRealVector2.walkInOptimizedOrder(realVectorPreservingVisitor3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test285"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    org.apache.commons.math3.linear.FieldMatrix fieldMatrix3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldMatrix fieldMatrix4 = array2DRowFieldMatrix1.multiply(fieldMatrix3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test286"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(2.2250738585072014E-308d, 5.303267778580295d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test287"); }


    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math3.linear.BlockRealMatrix(3, 100);
    java.lang.String str3 = blockRealMatrix2.toString();
    int i4 = blockRealMatrix2.getRowDimension();
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix2.multiplyEntry((-1022), 1022, (-1.0d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "BlockRealMatrix{{0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0}}"+ "'", str3.equals("BlockRealMatrix{{0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 3);

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test288"); }


    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math3.linear.BlockRealMatrix(3, 10);
    org.apache.commons.math3.linear.RealMatrix realMatrix4 = blockRealMatrix2.scalarMultiply(3.141592653589793d);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix5 = blockRealMatrix2.transpose();
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix8 = blockRealMatrix2.createMatrix(100, 1);
    double[] d_array10 = new double[] { 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair12 = new org.apache.commons.math3.optimization.PointValuePair(d_array10, 3.141592653589793d);
    org.apache.commons.math3.linear.RealMatrix realMatrix13 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array10);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix14 = blockRealMatrix2.add(realMatrix13);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.MatrixDimensionMismatchException");
    } catch (org.apache.commons.math3.linear.MatrixDimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.linear.MatrixDimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.MatrixDimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix13);

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test289"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    boolean b3 = array2DRowFieldMatrix1.isSquare();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = org.apache.commons.math3.linear.MatrixUtils.bigFractionMatrixToRealMatrix((org.apache.commons.math3.linear.FieldMatrix)array2DRowFieldMatrix1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoDataException");
    } catch (org.apache.commons.math3.exception.NoDataException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NoDataException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoDataException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test290"); }


    double[] d_array1 = new double[] { 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair3 = new org.apache.commons.math3.optimization.PointValuePair(d_array1, 3.141592653589793d);
    double[][] d_array_array4 = new double[][] { d_array1 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix5 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4);
    double[][] d_array_array6 = array2DRowRealMatrix5.getDataRef();
    int[] i_array9 = new int[] { 10, (-1) };
    int[] i_array11 = new int[] { 1 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealMatrix realMatrix12 = array2DRowRealMatrix5.getSubMatrix(i_array9, i_array11);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array11);

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test291"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    boolean b3 = array2DRowFieldMatrix1.isSquare();
    org.apache.commons.math3.FieldElement fieldElement6 = null;
    // The following exception was thrown during execution in test generation
    try {
      array2DRowFieldMatrix1.multiplyEntry(0, 1, fieldElement6);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test292"); }


    org.apache.commons.math3.linear.MatrixDimensionMismatchException matrixDimensionMismatchException4 = new org.apache.commons.math3.linear.MatrixDimensionMismatchException(0, 100, 36, (-1));
    int i6 = matrixDimensionMismatchException4.getExpectedDimension(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 36);

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test293"); }


    org.apache.commons.math3.linear.RealMatrixFormat realMatrixFormat0 = org.apache.commons.math3.linear.RealMatrixFormat.getInstance();
    double[] d_array2 = new double[] { 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair4 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 3.141592653589793d);
    double[][] d_array_array5 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array5);
    java.lang.String str7 = realMatrixFormat0.format((org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix6);
    java.io.ObjectOutputStream objectOutputStream8 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.serializeRealMatrix((org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix6, objectOutputStream8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "{{100}}"+ "'", str7.equals("{{100}}"));

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test294"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.linear.FieldVector fieldVector3 = null;
    // The following exception was thrown during execution in test generation
    try {
      array2DRowFieldMatrix1.setColumnVector(1, fieldVector3);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test295"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)0.0f);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test296"); }


    double[] d_array2 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 100.0d, false);
    double[][] d_array_array6 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix8 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array6, true);
    double[] d_array12 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair15 = new org.apache.commons.math3.optimization.PointValuePair(d_array12, 100.0d, false);
    double[][] d_array_array16 = new double[][] { d_array12 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array16, true);
    double d19 = array2DRowRealMatrix18.getFrobeniusNorm();
    boolean b20 = array2DRowRealMatrix18.isTransposable();
    boolean b21 = array2DRowRealMatrix18.isSquare();
    double[][] d_array_array22 = array2DRowRealMatrix18.getData();
    array2DRowRealMatrix8.setRowMatrix(0, (org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix18);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.checkSubMatrixIndex((org.apache.commons.math3.linear.AnyMatrix)array2DRowRealMatrix8, 0, 3, 1022, 1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array22);

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test297"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math3.exception.NotPositiveException(localizable0, (java.lang.Number)(short)1);
    java.lang.Throwable[] throwable_array3 = notPositiveException2.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array3);

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test298"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(0.7853981633974483d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9226350743220142d);

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test299"); }


    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math3.linear.BlockRealMatrix(3, 100);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix3 = blockRealMatrix2.transpose();
    double d4 = blockRealMatrix2.getNorm();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealVector realVector6 = blockRealMatrix2.getRowVector(10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test300"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(100.0d, 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 100.0d);

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test301"); }


    double[] d_array3 = new double[] { (-1.0d), 10.0d, 100.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[][] d_array_array5 = new double[][] { d_array3 };
    org.apache.commons.math3.linear.RealMatrix realMatrix6 = org.apache.commons.math3.linear.MatrixUtils.createRealMatrix(d_array_array5);
    java.lang.Double[] d_array8 = new java.lang.Double[] { 0.0d };
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector9 = new org.apache.commons.math3.linear.ArrayRealVector(d_array8);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector11 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector9, true);
    org.apache.commons.math3.linear.RealVector realVector13 = arrayRealVector9.mapMultiply(0.0d);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.solveUpperTriangularSystem(realMatrix6, (org.apache.commons.math3.linear.RealVector)arrayRealVector9);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector13);

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test302"); }


    double[] d_array2 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 100.0d, false);
    double[][] d_array_array6 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix8 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array6, true);
    int i9 = array2DRowRealMatrix8.getRowDimension();
    double[][] d_array_array10 = array2DRowRealMatrix8.getData();
    org.apache.commons.math3.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor11 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d12 = array2DRowRealMatrix8.walkInColumnOrder(realMatrixPreservingVisitor11);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array10);

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test303"); }


    java.lang.Double[] d_array1 = new java.lang.Double[] { 0.0d };
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector2 = new org.apache.commons.math3.linear.ArrayRealVector(d_array1);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector4 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector2, true);
    org.apache.commons.math3.linear.RealVector realVector6 = arrayRealVector2.mapMultiply(0.0d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector7 = new org.apache.commons.math3.linear.ArrayRealVector(realVector6);
    org.apache.commons.math3.linear.RealVectorPreservingVisitor realVectorPreservingVisitor8 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d11 = arrayRealVector7.walkInDefaultOrder(realVectorPreservingVisitor8, 2, 10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector6);

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test304"); }


    java.text.NumberFormat numberFormat0 = org.apache.commons.math3.util.CompositeFormat.getDefaultNumberFormat();
    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat1 = new org.apache.commons.math3.linear.RealVectorFormat(numberFormat0);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.ArrayRealVector arrayRealVector3 = realVectorFormat1.parse("");
      org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException");
    } catch (java.lang.StringIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.StringIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat0);

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test305"); }


    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math3.linear.BlockRealMatrix(3, 10);
    org.apache.commons.math3.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor3 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d8 = blockRealMatrix2.walkInOptimizedOrder(realMatrixPreservingVisitor3, 0, 3, 0, (-1022));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test306"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1024);

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test307"); }


    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math3.linear.BlockRealMatrix(3, 100);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix3 = blockRealMatrix2.transpose();
    org.apache.commons.math3.linear.RealMatrix realMatrix5 = blockRealMatrix2.scalarAdd(2.2250738585072014E-308d);
    org.apache.commons.math3.linear.RealVector realVector6 = null;
    org.apache.commons.math3.optimization.linear.LinearObjectiveFunction linearObjectiveFunction8 = new org.apache.commons.math3.optimization.linear.LinearObjectiveFunction(realVector6, 0.0d);
    double[] d_array11 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair14 = new org.apache.commons.math3.optimization.PointValuePair(d_array11, 100.0d, false);
    double[] d_array15 = pointValuePair14.getPoint();
    boolean b16 = linearObjectiveFunction8.equals((java.lang.Object)d_array15);
    org.apache.commons.math3.optimization.linear.Relationship relationship17 = org.apache.commons.math3.optimization.linear.Relationship.EQ;
    org.apache.commons.math3.optimization.linear.LinearConstraint linearConstraint19 = new org.apache.commons.math3.optimization.linear.LinearConstraint(d_array15, relationship17, 4.9E-324d);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array20 = blockRealMatrix2.operate(d_array15);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship17);

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test308"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldVector fieldVector4 = array2DRowFieldMatrix1.getColumnVector(1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test309"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(2.154434690031884d, Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test310"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.FieldElement[] fieldElement_array1 = null;
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = new org.apache.commons.math3.FieldElement[][] { fieldElement_array1 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix4 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0, fieldElement_array_array2, true);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array2);

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test311"); }


    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math3.linear.BlockRealMatrix(3, 10);
    org.apache.commons.math3.linear.RealMatrix realMatrix4 = blockRealMatrix2.scalarMultiply(3.141592653589793d);
    double[] d_array6 = new double[] { 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair8 = new org.apache.commons.math3.optimization.PointValuePair(d_array6, 3.141592653589793d);
    boolean b10 = pointValuePair8.equals((java.lang.Object)(byte)100);
    double[] d_array11 = pointValuePair8.getPoint();
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array12 = blockRealMatrix2.operate(d_array11);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test312"); }


    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math3.linear.BlockRealMatrix(3, 100);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = blockRealMatrix2.getColumn(1022);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test313"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    boolean b3 = array2DRowFieldMatrix1.isSquare();
    org.apache.commons.math3.FieldElement fieldElement5 = null;
    org.apache.commons.math3.FieldElement[] fieldElement_array6 = new org.apache.commons.math3.FieldElement[] { fieldElement5 };
    // The following exception was thrown during execution in test generation
    try {
      array2DRowFieldMatrix1.setRow(100, fieldElement_array6);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array6);

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test314"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    boolean b3 = array2DRowFieldMatrix1.isSquare();
    org.apache.commons.math3.FieldElement fieldElement6 = null;
    // The following exception was thrown during execution in test generation
    try {
      array2DRowFieldMatrix1.multiplyEntry(100, (-1022), fieldElement6);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test315"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test316"); }


    double[] d_array2 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 100.0d, false);
    double[][] d_array_array6 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix8 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array6, true);
    double d9 = array2DRowRealMatrix8.getFrobeniusNorm();
    boolean b10 = array2DRowRealMatrix8.isTransposable();
    boolean b11 = array2DRowRealMatrix8.isSquare();
    double[] d_array18 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair21 = new org.apache.commons.math3.optimization.PointValuePair(d_array18, 100.0d, false);
    double[][] d_array_array22 = new double[][] { d_array18 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix24 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array22, true);
    double[][] d_array_array25 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array22);
    // The following exception was thrown during execution in test generation
    try {
      array2DRowRealMatrix8.copySubMatrix(100, 1, 36, (-1022), d_array_array22);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array25);

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test317"); }


    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math3.linear.BlockRealMatrix(3, 10);
    org.apache.commons.math3.linear.RealMatrix realMatrix4 = blockRealMatrix2.scalarMultiply(3.141592653589793d);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix5 = blockRealMatrix2.transpose();
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix8 = new org.apache.commons.math3.linear.BlockRealMatrix(3, 100);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealMatrix realMatrix9 = blockRealMatrix5.subtract((org.apache.commons.math3.linear.RealMatrix)blockRealMatrix8);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.MatrixDimensionMismatchException");
    } catch (org.apache.commons.math3.linear.MatrixDimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.linear.MatrixDimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.MatrixDimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix5);

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test318"); }


    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math3.linear.BlockRealMatrix(3, 10);
    org.apache.commons.math3.linear.RealMatrix realMatrix4 = blockRealMatrix2.scalarMultiply(3.141592653589793d);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix5 = blockRealMatrix2.transpose();
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix8 = blockRealMatrix2.createMatrix(100, 1);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix11 = new org.apache.commons.math3.linear.BlockRealMatrix(3, 10);
    org.apache.commons.math3.linear.RealMatrix realMatrix13 = blockRealMatrix11.scalarMultiply(3.141592653589793d);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix14 = blockRealMatrix11.transpose();
    org.apache.commons.math3.linear.MatrixUtils.checkAdditionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix2, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix11);
    double[][] d_array_array16 = blockRealMatrix11.getData();
    double[] d_array19 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair22 = new org.apache.commons.math3.optimization.PointValuePair(d_array19, 100.0d, false);
    double[][] d_array_array23 = new double[][] { d_array19 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix25 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array23, true);
    double d26 = array2DRowRealMatrix25.getFrobeniusNorm();
    org.apache.commons.math3.linear.RealMatrix realMatrix28 = array2DRowRealMatrix25.getColumnMatrix(0);
    double[] d_array31 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair34 = new org.apache.commons.math3.optimization.PointValuePair(d_array31, 100.0d, false);
    double[][] d_array_array35 = new double[][] { d_array31 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix37 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array35, true);
    double d38 = array2DRowRealMatrix37.getFrobeniusNorm();
    boolean b39 = array2DRowRealMatrix37.isTransposable();
    org.apache.commons.math3.linear.RealMatrix realMatrix40 = array2DRowRealMatrix25.subtract((org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix37);
    double[][] d_array_array41 = array2DRowRealMatrix37.getData();
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix11.setSubMatrix(d_array_array41, 0, 1022);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array41);

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test319"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test320"); }


    long long2 = org.apache.commons.math3.util.MathUtils.copySign(100L, (-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-100L));

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test321"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    boolean b3 = array2DRowFieldMatrix1.isSquare();
    org.apache.commons.math3.FieldElement fieldElement6 = null;
    // The following exception was thrown during execution in test generation
    try {
      array2DRowFieldMatrix1.multiplyEntry((-1022), 100, fieldElement6);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test322"); }


    java.lang.Double[] d_array1 = new java.lang.Double[] { 0.0d };
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector2 = new org.apache.commons.math3.linear.ArrayRealVector(d_array1);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector4 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector2, true);
    java.io.ObjectOutputStream objectOutputStream5 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.serializeRealVector((org.apache.commons.math3.linear.RealVector)arrayRealVector4, objectOutputStream5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test323"); }


    double[] d_array2 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 100.0d, false);
    double[][] d_array_array6 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix8 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array6, true);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array6);
    double[] d_array12 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair15 = new org.apache.commons.math3.optimization.PointValuePair(d_array12, 100.0d, false);
    double[][] d_array_array16 = new double[][] { d_array12 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array16, true);
    double d19 = array2DRowRealMatrix18.getFrobeniusNorm();
    boolean b20 = array2DRowRealMatrix18.isTransposable();
    boolean b21 = array2DRowRealMatrix18.isSquare();
    double[][] d_array_array22 = array2DRowRealMatrix18.getData();
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix23 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array22);
    double[] d_array26 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair29 = new org.apache.commons.math3.optimization.PointValuePair(d_array26, 100.0d, false);
    double[][] d_array_array30 = new double[][] { d_array26 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix32 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array30, true);
    double[] d_array36 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair39 = new org.apache.commons.math3.optimization.PointValuePair(d_array36, 100.0d, false);
    double[][] d_array_array40 = new double[][] { d_array36 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix42 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array40, true);
    double d43 = array2DRowRealMatrix42.getFrobeniusNorm();
    boolean b44 = array2DRowRealMatrix42.isTransposable();
    boolean b45 = array2DRowRealMatrix42.isSquare();
    double[][] d_array_array46 = array2DRowRealMatrix42.getData();
    array2DRowRealMatrix32.setRowMatrix(0, (org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix42);
    double[] d_array50 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair53 = new org.apache.commons.math3.optimization.PointValuePair(d_array50, 100.0d, false);
    double[] d_array54 = array2DRowRealMatrix32.operate(d_array50);
    double[] d_array55 = array2DRowRealMatrix23.operate(d_array50);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array56 = array2DRowRealMatrix9.operate(d_array55);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test324"); }


    double[] d_array2 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 100.0d, false);
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    double[] d_array9 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair12 = new org.apache.commons.math3.optimization.PointValuePair(d_array9, 100.0d, false);
    double[][] d_array_array13 = new double[][] { d_array9 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix15 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array13, true);
    double d16 = array2DRowRealMatrix15.getFrobeniusNorm();
    boolean b17 = array2DRowRealMatrix15.isTransposable();
    boolean b18 = array2DRowRealMatrix15.isSquare();
    double[][] d_array_array19 = array2DRowRealMatrix15.getData();
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix20 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array19);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)pointValuePair5, localizable6, (java.lang.Object[])d_array_array19);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix22 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array19);
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException26 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)(byte)10, (java.lang.Number)(short)100, true);
    org.apache.commons.math3.exception.util.Localizable localizable27 = null;
    double[] d_array29 = new double[] { 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair31 = new org.apache.commons.math3.optimization.PointValuePair(d_array29, 3.141592653589793d);
    double[][] d_array_array32 = new double[][] { d_array29 };
    org.apache.commons.math3.linear.RealMatrix realMatrix33 = org.apache.commons.math3.linear.MatrixUtils.createRealMatrix(d_array_array32);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException34 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)numberIsTooSmallException26, localizable27, (java.lang.Object[])d_array_array32);
    // The following exception was thrown during execution in test generation
    try {
      array2DRowRealMatrix22.setSubMatrix(d_array_array32, 36, 10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix33);

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test325"); }


    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math3.linear.BlockRealMatrix(3, 100);
    double[] d_array5 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair8 = new org.apache.commons.math3.optimization.PointValuePair(d_array5, 100.0d, false);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array9 = blockRealMatrix2.operate(d_array5);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test326"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array3 = array2DRowFieldMatrix1.getDataRef();
    org.apache.commons.math3.optimization.linear.NoFeasibleSolutionException noFeasibleSolutionException4 = new org.apache.commons.math3.optimization.linear.NoFeasibleSolutionException();
    boolean b5 = array2DRowFieldMatrix1.equals((java.lang.Object)noFeasibleSolutionException4);
    org.apache.commons.math3.linear.FieldVector fieldVector6 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldVector fieldVector7 = array2DRowFieldMatrix1.preMultiply(fieldVector6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test327"); }


    org.apache.commons.math3.Field field0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement[][] fieldElement_array_array3 = org.apache.commons.math3.linear.BlockFieldMatrix.<org.apache.commons.math3.FieldElement>createBlocksLayout(field0, 36, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test328"); }


    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)3.141592653589793d, (java.lang.Number)(short)100, false);
    java.lang.Number number4 = numberIsTooLargeException3.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + (short)100+ "'", number4.equals((short)100));

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test329"); }


    double[] d_array2 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 100.0d, false);
    double[][] d_array_array6 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix8 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array6, true);
    double d9 = array2DRowRealMatrix8.getFrobeniusNorm();
    org.apache.commons.math3.linear.RealMatrix realMatrix11 = array2DRowRealMatrix8.getColumnMatrix(0);
    double[] d_array14 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair17 = new org.apache.commons.math3.optimization.PointValuePair(d_array14, 100.0d, false);
    double[][] d_array_array18 = new double[][] { d_array14 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix20 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array18, true);
    double d21 = array2DRowRealMatrix20.getFrobeniusNorm();
    boolean b22 = array2DRowRealMatrix20.isTransposable();
    org.apache.commons.math3.linear.RealMatrix realMatrix23 = array2DRowRealMatrix8.subtract((org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix20);
    double[][] d_array_array24 = array2DRowRealMatrix20.getData();
    double[] d_array27 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair30 = new org.apache.commons.math3.optimization.PointValuePair(d_array27, 100.0d, false);
    double[][] d_array_array31 = new double[][] { d_array27 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix33 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array31, true);
    double[] d_array37 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair40 = new org.apache.commons.math3.optimization.PointValuePair(d_array37, 100.0d, false);
    double[][] d_array_array41 = new double[][] { d_array37 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix43 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array41, true);
    double d44 = array2DRowRealMatrix43.getFrobeniusNorm();
    boolean b45 = array2DRowRealMatrix43.isTransposable();
    boolean b46 = array2DRowRealMatrix43.isSquare();
    double[][] d_array_array47 = array2DRowRealMatrix43.getData();
    array2DRowRealMatrix33.setRowMatrix(0, (org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix43);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix49 = array2DRowRealMatrix20.subtract(array2DRowRealMatrix43);
    org.apache.commons.math3.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor50 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d55 = array2DRowRealMatrix20.walkInColumnOrder(realMatrixPreservingVisitor50, 0, 36, 10, 3);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix49);

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test330"); }


    long long2 = org.apache.commons.math3.util.FastMath.min((-1L), 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-1L));

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test331"); }


    double[] d_array2 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 100.0d, false);
    double[][] d_array_array6 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix8 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array6, true);
    double d9 = array2DRowRealMatrix8.getFrobeniusNorm();
    boolean b10 = array2DRowRealMatrix8.isTransposable();
    boolean b11 = array2DRowRealMatrix8.isSquare();
    double[][] d_array_array12 = array2DRowRealMatrix8.getData();
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix13 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array12);
    double[] d_array16 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair19 = new org.apache.commons.math3.optimization.PointValuePair(d_array16, 100.0d, false);
    double[][] d_array_array20 = new double[][] { d_array16 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix22 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array20, true);
    double[] d_array26 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair29 = new org.apache.commons.math3.optimization.PointValuePair(d_array26, 100.0d, false);
    double[][] d_array_array30 = new double[][] { d_array26 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix32 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array30, true);
    double d33 = array2DRowRealMatrix32.getFrobeniusNorm();
    boolean b34 = array2DRowRealMatrix32.isTransposable();
    boolean b35 = array2DRowRealMatrix32.isSquare();
    double[][] d_array_array36 = array2DRowRealMatrix32.getData();
    array2DRowRealMatrix22.setRowMatrix(0, (org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix32);
    double[] d_array40 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair43 = new org.apache.commons.math3.optimization.PointValuePair(d_array40, 100.0d, false);
    double[] d_array44 = array2DRowRealMatrix22.operate(d_array40);
    double[] d_array45 = array2DRowRealMatrix13.operate(d_array40);
    int[] i_array48 = new int[] { 100, 1 };
    int[] i_array52 = new int[] { 0, 1, 100 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealMatrix realMatrix53 = array2DRowRealMatrix13.getSubMatrix(i_array48, i_array52);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array52);

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test332"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(6.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.960170286650366d);

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test333"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.linear.FieldMatrixPreservingVisitor fieldMatrixPreservingVisitor2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement fieldElement3 = array2DRowFieldMatrix1.walkInOptimizedOrder(fieldMatrixPreservingVisitor2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test334"); }


    org.apache.commons.math3.linear.RealMatrixFormat realMatrixFormat0 = org.apache.commons.math3.linear.RealMatrixFormat.getInstance();
    double[] d_array2 = new double[] { 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair4 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 3.141592653589793d);
    double[][] d_array_array5 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array5);
    java.lang.String str7 = realMatrixFormat0.format((org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix6);
    double[] d_array10 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair13 = new org.apache.commons.math3.optimization.PointValuePair(d_array10, 100.0d, false);
    double[][] d_array_array14 = new double[][] { d_array10 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix16 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array14, true);
    double d17 = array2DRowRealMatrix16.getFrobeniusNorm();
    boolean b18 = array2DRowRealMatrix16.isTransposable();
    boolean b19 = array2DRowRealMatrix16.isSquare();
    double[][] d_array_array20 = array2DRowRealMatrix16.getData();
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix21 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array20);
    // The following exception was thrown during execution in test generation
    try {
      array2DRowRealMatrix6.setSubMatrix(d_array_array20, (-1), 2);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "{{100}}"+ "'", str7.equals("{{100}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test335"); }


    java.lang.Double[] d_array1 = new java.lang.Double[] { 0.0d };
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector2 = new org.apache.commons.math3.linear.ArrayRealVector(d_array1);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector4 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector2, true);
    boolean b5 = arrayRealVector4.isNaN();
    org.apache.commons.math3.linear.RealVectorPreservingVisitor realVectorPreservingVisitor6 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d9 = arrayRealVector4.walkInDefaultOrder(realVectorPreservingVisitor6, (-1), 1022);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test336"); }


    java.text.ParsePosition parsePosition1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.CompositeFormat.parseAndIgnoreWhitespace("{{100}}", parsePosition1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test337"); }


    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math3.linear.BlockRealMatrix(3, 100);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix3 = blockRealMatrix2.transpose();
    org.apache.commons.math3.linear.RealMatrix realMatrix5 = blockRealMatrix2.scalarAdd(2.2250738585072014E-308d);
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix2.addToEntry((-1022), 10, 100.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix5);

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test338"); }


    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math3.linear.BlockRealMatrix(3, 10);
    org.apache.commons.math3.linear.RealMatrix realMatrix4 = blockRealMatrix2.scalarMultiply(3.141592653589793d);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix5 = blockRealMatrix2.transpose();
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix8 = blockRealMatrix2.createMatrix(100, 1);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix11 = new org.apache.commons.math3.linear.BlockRealMatrix(3, 10);
    org.apache.commons.math3.linear.RealMatrix realMatrix13 = blockRealMatrix11.scalarMultiply(3.141592653589793d);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix14 = blockRealMatrix11.transpose();
    org.apache.commons.math3.linear.MatrixUtils.checkAdditionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix2, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix11);
    double[][] d_array_array16 = blockRealMatrix11.getData();
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix17 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array16);
    org.apache.commons.math3.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor18 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d23 = blockRealMatrix17.walkInColumnOrder(realMatrixPreservingVisitor18, 3, 100, 1024, 10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array16);

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test339"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(5.303267778580295d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.668323192558103d);

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test340"); }


    org.apache.commons.math3.FieldElement[] fieldElement_array0 = null;
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array1 = new org.apache.commons.math3.FieldElement[][] { fieldElement_array0 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = org.apache.commons.math3.linear.BlockFieldMatrix.<org.apache.commons.math3.FieldElement>toBlocksLayout(fieldElement_array_array1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array1);

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test341"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.0f, (-0.99999994f), 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test342"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(20.0d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test343"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array3 = array2DRowFieldMatrix1.getDataRef();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement[] fieldElement_array5 = array2DRowFieldMatrix1.getRow((-1022));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array3);

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test344"); }


    byte byte2 = org.apache.commons.math3.util.MathUtils.copySign((byte)100, (byte)(-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte2 == (byte)(-100));

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test345"); }


    org.apache.commons.math3.FieldElement[] fieldElement_array0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldMatrix fieldMatrix1 = org.apache.commons.math3.linear.MatrixUtils.<org.apache.commons.math3.FieldElement>createRowFieldMatrix(fieldElement_array0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test346"); }


    org.apache.commons.math3.linear.RealVector realVector0 = null;
    org.apache.commons.math3.optimization.linear.LinearObjectiveFunction linearObjectiveFunction2 = new org.apache.commons.math3.optimization.linear.LinearObjectiveFunction(realVector0, 57.29577951308232d);

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test347"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array3 = array2DRowFieldMatrix1.getDataRef();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement[] fieldElement_array5 = array2DRowFieldMatrix1.getRow((-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array3);

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test348"); }


    java.lang.Double[] d_array1 = new java.lang.Double[] { 0.0d };
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector2 = new org.apache.commons.math3.linear.ArrayRealVector(d_array1);
    java.lang.String str3 = arrayRealVector2.toString();
    double[] d_array4 = arrayRealVector2.toArray();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealVector realVector7 = arrayRealVector2.getSubVector(10, 10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "{0}"+ "'", str3.equals("{0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test349"); }


    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math3.linear.BlockRealMatrix(3, 100);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix3 = blockRealMatrix2.transpose();
    org.apache.commons.math3.linear.RealMatrixChangingVisitor realMatrixChangingVisitor4 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d9 = blockRealMatrix2.walkInRowOrder(realMatrixChangingVisitor4, 1024, 1, 10, 100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix3);

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test350"); }


    java.lang.Double[] d_array1 = new java.lang.Double[] { 0.0d };
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector2 = new org.apache.commons.math3.linear.ArrayRealVector(d_array1);
    java.lang.String str3 = arrayRealVector2.toString();
    org.apache.commons.math3.optimization.linear.Relationship relationship4 = null;
    org.apache.commons.math3.optimization.linear.LinearConstraint linearConstraint6 = new org.apache.commons.math3.optimization.linear.LinearConstraint((org.apache.commons.math3.linear.RealVector)arrayRealVector2, relationship4, 100.4987562112089d);
    org.apache.commons.math3.linear.RealVectorChangingVisitor realVectorChangingVisitor7 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d10 = arrayRealVector2.walkInDefaultOrder(realVectorChangingVisitor7, 10, (-1022));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "{0}"+ "'", str3.equals("{0}"));

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test351"); }


    java.text.NumberFormat numberFormat4 = org.apache.commons.math3.util.CompositeFormat.getDefaultNumberFormat();
    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat5 = new org.apache.commons.math3.linear.RealVectorFormat(numberFormat4);
    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat6 = new org.apache.commons.math3.linear.RealVectorFormat("hi!", "hi!", "", numberFormat4);
    java.lang.StringBuffer stringBuffer7 = null;
    java.text.FieldPosition fieldPosition8 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer9 = org.apache.commons.math3.util.CompositeFormat.formatDouble(1.0d, numberFormat4, stringBuffer7, fieldPosition8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test352"); }


    org.apache.commons.math3.FieldElement[] fieldElement_array2 = null;
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array3 = new org.apache.commons.math3.FieldElement[][] { fieldElement_array2 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.BlockFieldMatrix blockFieldMatrix5 = new org.apache.commons.math3.linear.BlockFieldMatrix(1, 1024, fieldElement_array_array3, true);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array3);

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test353"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test354"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(1.0f, 1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.0f);

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test355"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test356"); }


    java.lang.Double[] d_array1 = new java.lang.Double[] { 0.0d };
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector2 = new org.apache.commons.math3.linear.ArrayRealVector(d_array1);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector4 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector2, true);
    org.apache.commons.math3.linear.RealVector realVector6 = arrayRealVector2.mapDivide((-1.0d));
    // The following exception was thrown during execution in test generation
    try {
      arrayRealVector2.addToEntry(3, 2.2250738585072014E-308d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector6);

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test357"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealMatrix realMatrix2 = org.apache.commons.math3.linear.MatrixUtils.createRealMatrix((-1), 1022);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test358"); }


    java.lang.Double[] d_array1 = new java.lang.Double[] { 0.0d };
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector2 = new org.apache.commons.math3.linear.ArrayRealVector(d_array1);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector4 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector2, true);
    org.apache.commons.math3.linear.RealVector realVector6 = arrayRealVector2.mapMultiply(0.0d);
    org.apache.commons.math3.optimization.linear.Relationship relationship8 = org.apache.commons.math3.optimization.linear.Relationship.EQ;
    org.apache.commons.math3.optimization.linear.Relationship relationship9 = relationship8.oppositeRelationship();
    java.lang.Double[] d_array11 = new java.lang.Double[] { 0.0d };
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector12 = new org.apache.commons.math3.linear.ArrayRealVector(d_array11);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector14 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector12, true);
    org.apache.commons.math3.optimization.linear.LinearConstraint linearConstraint16 = new org.apache.commons.math3.optimization.linear.LinearConstraint(realVector6, 0.0d, relationship8, (org.apache.commons.math3.linear.RealVector)arrayRealVector12, (-1.0d));
    java.io.ObjectOutputStream objectOutputStream17 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.serializeRealVector((org.apache.commons.math3.linear.RealVector)arrayRealVector12, objectOutputStream17);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test359"); }


    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math3.linear.BlockRealMatrix(3, 10);
    org.apache.commons.math3.linear.RealMatrix realMatrix4 = blockRealMatrix2.scalarMultiply(3.141592653589793d);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix5 = blockRealMatrix2.transpose();
    double d6 = blockRealMatrix2.getNorm();
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix2.setEntry(1022, 100, 5.303267778580295d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test360"); }


    double[] d_array2 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 100.0d, false);
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    double[] d_array9 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair12 = new org.apache.commons.math3.optimization.PointValuePair(d_array9, 100.0d, false);
    double[][] d_array_array13 = new double[][] { d_array9 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix15 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array13, true);
    double d16 = array2DRowRealMatrix15.getFrobeniusNorm();
    boolean b17 = array2DRowRealMatrix15.isTransposable();
    boolean b18 = array2DRowRealMatrix15.isSquare();
    double[][] d_array_array19 = array2DRowRealMatrix15.getData();
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix20 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array19);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)pointValuePair5, localizable6, (java.lang.Object[])d_array_array19);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix22 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array19);
    // The following exception was thrown during execution in test generation
    try {
      array2DRowRealMatrix22.multiplyEntry(2, (-1), 0.9226350743220142d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test361"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(2.154434690031884d, 2.154434690031884d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.154434690031884d);

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test362"); }


    java.lang.Double[] d_array1 = new java.lang.Double[] { 0.0d };
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector2 = new org.apache.commons.math3.linear.ArrayRealVector(d_array1);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector4 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector2, true);
    org.apache.commons.math3.linear.RealVector realVector6 = arrayRealVector2.mapAddToSelf(2.8934439858858716d);
    org.apache.commons.math3.linear.RealVectorPreservingVisitor realVectorPreservingVisitor7 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d8 = arrayRealVector2.walkInDefaultOrder(realVectorPreservingVisitor7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector6);

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test363"); }


    double[][] d_array_array4 = org.apache.commons.math3.linear.BlockRealMatrix.createBlocksLayout(0, 0);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math3.linear.BlockRealMatrix(100, (-1022), d_array_array4, true);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test364"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test365"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.linear.FieldVector fieldVector2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldVector fieldVector3 = array2DRowFieldMatrix1.preMultiply(fieldVector2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test366"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array3 = array2DRowFieldMatrix1.getDataRef();
    org.apache.commons.math3.optimization.linear.NoFeasibleSolutionException noFeasibleSolutionException4 = new org.apache.commons.math3.optimization.linear.NoFeasibleSolutionException();
    boolean b5 = array2DRowFieldMatrix1.equals((java.lang.Object)noFeasibleSolutionException4);
    int i6 = array2DRowFieldMatrix1.getRowDimension();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement fieldElement7 = array2DRowFieldMatrix1.getTrace();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test367"); }


    java.lang.Double[] d_array1 = new java.lang.Double[] { 0.0d };
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector2 = new org.apache.commons.math3.linear.ArrayRealVector(d_array1);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector4 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector2, true);
    java.lang.Double[] d_array6 = new java.lang.Double[] { 0.0d };
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector7 = new org.apache.commons.math3.linear.ArrayRealVector(d_array6);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector8 = arrayRealVector4.append(arrayRealVector7);
    org.apache.commons.math3.optimization.linear.Relationship relationship9 = org.apache.commons.math3.optimization.linear.Relationship.EQ;
    org.apache.commons.math3.optimization.linear.Relationship relationship10 = relationship9.oppositeRelationship();
    org.apache.commons.math3.optimization.linear.LinearConstraint linearConstraint12 = new org.apache.commons.math3.optimization.linear.LinearConstraint((org.apache.commons.math3.linear.RealVector)arrayRealVector7, relationship10, 0.9226350743220142d);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealVector realVector15 = arrayRealVector7.getSubVector(10, 1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship10);

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test368"); }


    java.lang.Double[] d_array1 = new java.lang.Double[] { 0.0d };
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector2 = new org.apache.commons.math3.linear.ArrayRealVector(d_array1);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector4 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector2, true);
    org.apache.commons.math3.linear.RealVector realVector6 = arrayRealVector2.mapMultiply(0.0d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector7 = new org.apache.commons.math3.linear.ArrayRealVector(realVector6);
    boolean b9 = arrayRealVector7.equals((java.lang.Object)(short)1);
    org.apache.commons.math3.linear.RealVector realVector11 = arrayRealVector7.mapMultiply(6.283185307179586d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector16 = new org.apache.commons.math3.linear.ArrayRealVector(1022, 100.4987562112089d);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.ArrayRealVector arrayRealVector17 = arrayRealVector7.combine(22026.465794806718d, 2.154434690031884d, (org.apache.commons.math3.linear.RealVector)arrayRealVector16);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector11);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test369"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(10.0f, 100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 10.0f);

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test370"); }


    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math3.linear.BlockRealMatrix(3, 10);
    org.apache.commons.math3.linear.RealMatrix realMatrix4 = blockRealMatrix2.scalarMultiply(3.141592653589793d);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix5 = blockRealMatrix2.transpose();
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix8 = blockRealMatrix2.createMatrix(100, 1);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix11 = new org.apache.commons.math3.linear.BlockRealMatrix(3, 10);
    org.apache.commons.math3.linear.RealMatrix realMatrix13 = blockRealMatrix11.scalarMultiply(3.141592653589793d);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix14 = blockRealMatrix11.transpose();
    org.apache.commons.math3.linear.MatrixUtils.checkAdditionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix2, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix11);
    org.apache.commons.math3.linear.RealMatrixChangingVisitor realMatrixChangingVisitor16 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d21 = blockRealMatrix11.walkInRowOrder(realMatrixChangingVisitor16, 10, (-1022), 10, 1024);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix14);

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test371"); }


    double[] d_array1 = new double[] { 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair3 = new org.apache.commons.math3.optimization.PointValuePair(d_array1, 3.141592653589793d);
    double[][] d_array_array4 = new double[][] { d_array1 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix5 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4);
    org.apache.commons.math3.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor6 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d7 = array2DRowRealMatrix5.walkInRowOrder(realMatrixPreservingVisitor6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test372"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(1.7453292519943295d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test373"); }


    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math3.linear.BlockRealMatrix(3, 10);
    org.apache.commons.math3.linear.RealMatrix realMatrix4 = blockRealMatrix2.scalarMultiply(3.141592653589793d);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealVector realVector6 = blockRealMatrix2.getColumnVector(1022);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix4);

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test374"); }


    java.lang.Double[] d_array1 = new java.lang.Double[] { 0.0d };
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector2 = new org.apache.commons.math3.linear.ArrayRealVector(d_array1);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector4 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector2, true);
    org.apache.commons.math3.linear.RealVector realVector6 = arrayRealVector2.mapMultiply(0.0d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector7 = new org.apache.commons.math3.linear.ArrayRealVector(realVector6);
    boolean b9 = arrayRealVector7.equals((java.lang.Object)(short)1);
    double d10 = arrayRealVector7.getL1Norm();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector11 = arrayRealVector7.copy();
    org.apache.commons.math3.linear.RealVector realVector13 = arrayRealVector11.append(0.0d);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealVector realVector14 = realVector13.unitVector();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector13);

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test375"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(1.0f, 100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test376"); }


    java.lang.Class clazz2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.exception.MathParseException mathParseException3 = new org.apache.commons.math3.exception.MathParseException("org.apache.commons.math3.exception.NumberIsTooSmallException: 10 is smaller than the minimum (100)", 36, clazz2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test377"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(100L, (-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 100L);

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test378"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(1.2454660011567422d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 71.35994539331703d);

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test379"); }


    int i1 = org.apache.commons.math3.util.FastMath.round((-0.99999994f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test380"); }


    double[] d_array2 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 100.0d, false);
    double[][] d_array_array6 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix8 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array6, true);
    double d9 = array2DRowRealMatrix8.getFrobeniusNorm();
    boolean b10 = array2DRowRealMatrix8.isTransposable();
    int i11 = array2DRowRealMatrix8.getRowDimension();
    // The following exception was thrown during execution in test generation
    try {
      array2DRowRealMatrix8.setEntry(10, (-1022), (-1.0d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 1);

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test381"); }


    org.apache.commons.math3.Field field0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.BlockFieldMatrix blockFieldMatrix3 = new org.apache.commons.math3.linear.BlockFieldMatrix(field0, 1024, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test382"); }


    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math3.linear.BlockRealMatrix(3, 100);
    java.lang.String str3 = blockRealMatrix2.toString();
    org.apache.commons.math3.linear.RealMatrix realMatrix5 = blockRealMatrix2.getColumnMatrix(10);
    org.apache.commons.math3.linear.RealMatrixChangingVisitor realMatrixChangingVisitor6 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d11 = blockRealMatrix2.walkInOptimizedOrder(realMatrixChangingVisitor6, 0, 10, 36, 1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "BlockRealMatrix{{0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0}}"+ "'", str3.equals("BlockRealMatrix{{0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix5);

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test383"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array3 = array2DRowFieldMatrix1.getDataRef();
    org.apache.commons.math3.optimization.linear.NoFeasibleSolutionException noFeasibleSolutionException4 = new org.apache.commons.math3.optimization.linear.NoFeasibleSolutionException();
    boolean b5 = array2DRowFieldMatrix1.equals((java.lang.Object)noFeasibleSolutionException4);
    org.apache.commons.math3.Field field6 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix7 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field6);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array8 = array2DRowFieldMatrix7.getDataRef();
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array9 = array2DRowFieldMatrix7.getDataRef();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldMatrix fieldMatrix10 = array2DRowFieldMatrix1.preMultiply((org.apache.commons.math3.linear.FieldMatrix)array2DRowFieldMatrix7);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array9);

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test384"); }


    double[] d_array2 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 100.0d, false);
    double[][] d_array_array6 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix8 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array6, true);
    double d9 = array2DRowRealMatrix8.getFrobeniusNorm();
    org.apache.commons.math3.linear.RealMatrix realMatrix11 = array2DRowRealMatrix8.getColumnMatrix(0);
    double[] d_array14 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair17 = new org.apache.commons.math3.optimization.PointValuePair(d_array14, 100.0d, false);
    double[][] d_array_array18 = new double[][] { d_array14 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix20 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array18, true);
    double d21 = array2DRowRealMatrix20.getFrobeniusNorm();
    boolean b22 = array2DRowRealMatrix20.isTransposable();
    org.apache.commons.math3.linear.RealMatrix realMatrix23 = array2DRowRealMatrix8.subtract((org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix20);
    double[][] d_array_array26 = org.apache.commons.math3.linear.BlockRealMatrix.createBlocksLayout(0, 0);
    // The following exception was thrown during execution in test generation
    try {
      array2DRowRealMatrix20.setSubMatrix(d_array_array26, 0, 1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoDataException");
    } catch (org.apache.commons.math3.exception.NoDataException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NoDataException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoDataException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array26);

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test385"); }


    double[] d_array2 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 100.0d, false);
    double[][] d_array_array6 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix8 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array6, true);
    double[] d_array10 = new double[] { 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair12 = new org.apache.commons.math3.optimization.PointValuePair(d_array10, 3.141592653589793d);
    org.apache.commons.math3.linear.RealMatrix realMatrix13 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array10);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array14 = array2DRowRealMatrix8.operate(d_array10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix13);

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test386"); }


    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math3.linear.BlockRealMatrix(3, 100);
    java.lang.String str3 = blockRealMatrix2.toString();
    int i4 = blockRealMatrix2.getRowDimension();
    org.apache.commons.math3.linear.MatrixUtils.checkRowIndex((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix2, 1);
    double[] d_array9 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair12 = new org.apache.commons.math3.optimization.PointValuePair(d_array9, 100.0d, false);
    org.apache.commons.math3.exception.util.Localizable localizable13 = null;
    double[] d_array16 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair19 = new org.apache.commons.math3.optimization.PointValuePair(d_array16, 100.0d, false);
    double[][] d_array_array20 = new double[][] { d_array16 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix22 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array20, true);
    double d23 = array2DRowRealMatrix22.getFrobeniusNorm();
    boolean b24 = array2DRowRealMatrix22.isTransposable();
    boolean b25 = array2DRowRealMatrix22.isSquare();
    double[][] d_array_array26 = array2DRowRealMatrix22.getData();
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix27 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array26);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)pointValuePair12, localizable13, (java.lang.Object[])d_array_array26);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix29 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array26);
    org.apache.commons.math3.linear.RealMatrix realMatrix31 = array2DRowRealMatrix29.getColumnMatrix(1);
    double[] d_array34 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair37 = new org.apache.commons.math3.optimization.PointValuePair(d_array34, 100.0d, false);
    org.apache.commons.math3.exception.util.Localizable localizable38 = null;
    double[] d_array41 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair44 = new org.apache.commons.math3.optimization.PointValuePair(d_array41, 100.0d, false);
    double[][] d_array_array45 = new double[][] { d_array41 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix47 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array45, true);
    double d48 = array2DRowRealMatrix47.getFrobeniusNorm();
    boolean b49 = array2DRowRealMatrix47.isTransposable();
    boolean b50 = array2DRowRealMatrix47.isSquare();
    double[][] d_array_array51 = array2DRowRealMatrix47.getData();
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix52 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array51);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)pointValuePair37, localizable38, (java.lang.Object[])d_array_array51);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix54 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array51);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix55 = array2DRowRealMatrix29.subtract(array2DRowRealMatrix54);
    double[] d_array58 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair61 = new org.apache.commons.math3.optimization.PointValuePair(d_array58, 100.0d, false);
    double[][] d_array_array62 = new double[][] { d_array58 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix64 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array62, true);
    double d65 = array2DRowRealMatrix64.getFrobeniusNorm();
    org.apache.commons.math3.linear.RealMatrix realMatrix66 = array2DRowRealMatrix54.add((org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix64);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealMatrix realMatrix67 = blockRealMatrix2.subtract((org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix54);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.MatrixDimensionMismatchException");
    } catch (org.apache.commons.math3.linear.MatrixDimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.linear.MatrixDimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.MatrixDimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "BlockRealMatrix{{0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0}}"+ "'", str3.equals("BlockRealMatrix{{0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix66);

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test387"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    java.lang.String str3 = array2DRowFieldMatrix1.toString();
    org.apache.commons.math3.Field field4 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix5 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field4);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix6 = array2DRowFieldMatrix1.add(array2DRowFieldMatrix5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Array2DRowFieldMatrix{}"+ "'", str3.equals("Array2DRowFieldMatrix{}"));

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test388"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(Double.NaN, (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test389"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    java.lang.Object[] obj_array4 = null;
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException5 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable2, (java.lang.Number)1.0f, obj_array4);
    boolean b6 = array2DRowFieldMatrix1.equals((java.lang.Object)notFiniteNumberException5);
    org.apache.commons.math3.Field field7 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix8 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field7);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array9 = array2DRowFieldMatrix8.getDataRef();
    java.lang.String str10 = array2DRowFieldMatrix8.toString();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldMatrix fieldMatrix11 = array2DRowFieldMatrix1.add((org.apache.commons.math3.linear.FieldMatrix)array2DRowFieldMatrix8);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "Array2DRowFieldMatrix{}"+ "'", str10.equals("Array2DRowFieldMatrix{}"));

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test390"); }


    org.apache.commons.math3.FieldElement[][] fieldElement_array_array0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.BlockFieldMatrix blockFieldMatrix1 = new org.apache.commons.math3.linear.BlockFieldMatrix(fieldElement_array_array0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test391"); }


    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math3.linear.BlockRealMatrix(3, 10);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math3.linear.BlockRealMatrix(3, 100);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix7 = blockRealMatrix6.transpose();
    double d8 = blockRealMatrix6.getNorm();
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix2.setRowMatrix(2, blockRealMatrix6);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.MatrixDimensionMismatchException");
    } catch (org.apache.commons.math3.linear.MatrixDimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.linear.MatrixDimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.MatrixDimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test392"); }


    double[] d_array2 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 100.0d, false);
    double[][] d_array_array6 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix8 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array6, true);
    double d9 = array2DRowRealMatrix8.getFrobeniusNorm();
    org.apache.commons.math3.linear.RealMatrix realMatrix11 = array2DRowRealMatrix8.getColumnMatrix(0);
    double[] d_array14 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair17 = new org.apache.commons.math3.optimization.PointValuePair(d_array14, 100.0d, false);
    double[][] d_array_array18 = new double[][] { d_array14 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix20 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array18, true);
    double d21 = array2DRowRealMatrix20.getFrobeniusNorm();
    boolean b22 = array2DRowRealMatrix20.isTransposable();
    org.apache.commons.math3.linear.RealMatrix realMatrix23 = array2DRowRealMatrix8.subtract((org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix20);
    int i24 = array2DRowRealMatrix20.getColumnDimension();
    int i25 = array2DRowRealMatrix20.getRowDimension();
    org.apache.commons.math3.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor26 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d31 = array2DRowRealMatrix20.walkInColumnOrder(realMatrixPreservingVisitor26, 100, 2, (-1), 1024);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 1);

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test393"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(1.668323192558103d, 1.7453292519943295d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.4431611453543463d);

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test394"); }


    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math3.linear.BlockRealMatrix(3, 10);
    org.apache.commons.math3.linear.RealMatrix realMatrix4 = blockRealMatrix2.scalarMultiply(3.141592653589793d);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix5 = blockRealMatrix2.transpose();
    double d6 = blockRealMatrix2.getNorm();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.checkColumnIndex((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix2, (-1022));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test395"); }


    java.lang.Double[] d_array1 = new java.lang.Double[] { 0.0d };
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector2 = new org.apache.commons.math3.linear.ArrayRealVector(d_array1);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector4 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector2, true);
    org.apache.commons.math3.linear.RealVector realVector6 = arrayRealVector2.mapMultiply(0.0d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector7 = new org.apache.commons.math3.linear.ArrayRealVector(realVector6);
    // The following exception was thrown during execution in test generation
    try {
      arrayRealVector7.unitize();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector6);

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test396"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(1.5564835824635326d, 0.0d, 22026.465794806718d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test397"); }


    java.text.NumberFormat numberFormat6 = org.apache.commons.math3.util.CompositeFormat.getDefaultNumberFormat();
    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat7 = new org.apache.commons.math3.linear.RealVectorFormat(numberFormat6);
    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat8 = new org.apache.commons.math3.linear.RealVectorFormat("hi!", "", "", numberFormat6);
    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat9 = new org.apache.commons.math3.linear.RealVectorFormat("", "{0}", "=", numberFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat6);

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test398"); }


    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math3.linear.BlockRealMatrix(3, 10);
    org.apache.commons.math3.linear.RealMatrix realMatrix4 = blockRealMatrix2.scalarMultiply(3.141592653589793d);
    // The following exception was thrown during execution in test generation
    try {
      double d7 = blockRealMatrix2.getEntry(10, (-1022));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix4);

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test399"); }


    java.lang.Class clazz2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.exception.MathParseException mathParseException3 = new org.apache.commons.math3.exception.MathParseException("Array2DRowFieldMatrix{}", 0, clazz2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test400"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix2 = new org.apache.commons.math3.linear.Array2DRowRealMatrix((-1), 2);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test401"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array3 = array2DRowFieldMatrix1.getDataRef();
    org.apache.commons.math3.optimization.linear.NoFeasibleSolutionException noFeasibleSolutionException4 = new org.apache.commons.math3.optimization.linear.NoFeasibleSolutionException();
    boolean b5 = array2DRowFieldMatrix1.equals((java.lang.Object)noFeasibleSolutionException4);
    int i6 = array2DRowFieldMatrix1.getRowDimension();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldMatrix fieldMatrix7 = array2DRowFieldMatrix1.copy();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test402"); }


    double[] d_array2 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 100.0d, false);
    double[][] d_array_array6 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix8 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array6, true);
    int i9 = array2DRowRealMatrix8.getRowDimension();
    double[][] d_array_array10 = array2DRowRealMatrix8.getData();
    double[] d_array13 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair16 = new org.apache.commons.math3.optimization.PointValuePair(d_array13, 100.0d, false);
    double[][] d_array_array17 = new double[][] { d_array13 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix19 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array17, true);
    double d20 = array2DRowRealMatrix19.getFrobeniusNorm();
    boolean b21 = array2DRowRealMatrix19.isTransposable();
    boolean b22 = array2DRowRealMatrix19.isSquare();
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix23 = array2DRowRealMatrix8.add(array2DRowRealMatrix19);
    // The following exception was thrown during execution in test generation
    try {
      array2DRowRealMatrix19.multiplyEntry(3, 10, 57.31730760522529d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix23);

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test403"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test404"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    java.lang.Object[] obj_array4 = null;
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException5 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable2, (java.lang.Number)1.0f, obj_array4);
    boolean b6 = array2DRowFieldMatrix1.equals((java.lang.Object)notFiniteNumberException5);
    org.apache.commons.math3.Field field8 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix9 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field8);
    org.apache.commons.math3.exception.util.Localizable localizable10 = null;
    java.lang.Object[] obj_array12 = null;
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException13 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable10, (java.lang.Number)1.0f, obj_array12);
    boolean b14 = array2DRowFieldMatrix9.equals((java.lang.Object)notFiniteNumberException13);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array15 = array2DRowFieldMatrix9.getDataRef();
    // The following exception was thrown during execution in test generation
    try {
      array2DRowFieldMatrix1.setColumnMatrix(1024, (org.apache.commons.math3.linear.FieldMatrix)array2DRowFieldMatrix9);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array15);

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test405"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array3 = array2DRowFieldMatrix1.getDataRef();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldVector fieldVector5 = array2DRowFieldMatrix1.getRowVector(0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array3);

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test406"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math3.util.Precision.round(57.29577951308232d, 10, 1024);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test407"); }


    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math3.linear.BlockRealMatrix(3, 100);
    java.lang.String str3 = blockRealMatrix2.toString();
    int i4 = blockRealMatrix2.getRowDimension();
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix2.multiplyEntry(3, (-1), 9.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "BlockRealMatrix{{0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0}}"+ "'", str3.equals("BlockRealMatrix{{0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 3);

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test408"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement fieldElement2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldMatrix fieldMatrix3 = array2DRowFieldMatrix1.scalarAdd(fieldElement2);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test409"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    java.lang.String str3 = array2DRowFieldMatrix1.toString();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement[] fieldElement_array5 = array2DRowFieldMatrix1.getColumn((-1022));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Array2DRowFieldMatrix{}"+ "'", str3.equals("Array2DRowFieldMatrix{}"));

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test410"); }


    org.apache.commons.math3.linear.RealMatrixFormat realMatrixFormat0 = org.apache.commons.math3.linear.MatrixUtils.OCTAVE_FORMAT;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealMatrix realMatrix2 = realMatrixFormat0.parse("=");
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathParseException");
    } catch (org.apache.commons.math3.exception.MathParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathParseException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixFormat0);

  }

  @Test
  public void test411() {}
// Defects4J: flaky method
//   @Test
//   public void test411() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test411"); }
// 
// 
//     org.apache.commons.math3.linear.MatrixDimensionMismatchException matrixDimensionMismatchException4 = new org.apache.commons.math3.linear.MatrixDimensionMismatchException(100, 10, 0, 0);
//     java.lang.String str5 = matrixDimensionMismatchException4.toString();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.apache.commons.math3.linear.MatrixDimensionMismatchException: got 100x10 but expected 0str5"+ "'", str5.equals("org.apache.commons.math3.linear.MatrixDimensionMismatchException: got 100x10 but expected 0str5"));
// 
//   }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test412"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix2 = org.apache.commons.math3.linear.MatrixUtils.bigFractionMatrixToRealMatrix((org.apache.commons.math3.linear.FieldMatrix)array2DRowFieldMatrix1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoDataException");
    } catch (org.apache.commons.math3.exception.NoDataException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NoDataException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoDataException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test413"); }


    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math3.linear.BlockRealMatrix(3, 10);
    org.apache.commons.math3.linear.RealMatrix realMatrix4 = blockRealMatrix2.scalarMultiply(3.141592653589793d);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix5 = blockRealMatrix2.transpose();
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix8 = blockRealMatrix2.createMatrix(100, 1);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix8.getColumnMatrix(1024);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix8);

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test414"); }


    java.text.ParsePosition parsePosition1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.CompositeFormat.parseAndIgnoreWhitespace("=", parsePosition1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test415"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    java.lang.Object[] obj_array4 = null;
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException5 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable2, (java.lang.Number)1.0f, obj_array4);
    boolean b6 = array2DRowFieldMatrix1.equals((java.lang.Object)notFiniteNumberException5);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array7 = array2DRowFieldMatrix1.getDataRef();
    org.apache.commons.math3.Field field8 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix9 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field8);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array10 = array2DRowFieldMatrix9.getDataRef();
    java.lang.String str11 = array2DRowFieldMatrix9.toString();
    boolean b12 = array2DRowFieldMatrix9.isSquare();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldMatrix fieldMatrix13 = array2DRowFieldMatrix1.preMultiply((org.apache.commons.math3.linear.FieldMatrix)array2DRowFieldMatrix9);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "Array2DRowFieldMatrix{}"+ "'", str11.equals("Array2DRowFieldMatrix{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test416"); }


    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math3.linear.BlockRealMatrix(3, 10);
    org.apache.commons.math3.linear.RealMatrix realMatrix4 = blockRealMatrix2.scalarMultiply(3.141592653589793d);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix5 = blockRealMatrix2.transpose();
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix8 = blockRealMatrix2.createMatrix(100, 1);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix11 = new org.apache.commons.math3.linear.BlockRealMatrix(3, 10);
    org.apache.commons.math3.linear.RealMatrix realMatrix13 = blockRealMatrix11.scalarMultiply(3.141592653589793d);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix14 = blockRealMatrix11.transpose();
    org.apache.commons.math3.linear.MatrixUtils.checkAdditionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix2, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix11);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix17 = blockRealMatrix11.scalarAdd(20.0d);
    org.apache.commons.math3.linear.RealMatrixChangingVisitor realMatrixChangingVisitor18 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d19 = blockRealMatrix17.walkInOptimizedOrder(realMatrixChangingVisitor18);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix17);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test417"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(8.881784197001252E-16d, 1.5707963267948966d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test418"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(2.4431611453543463d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 10.509366076820163d);

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test419"); }


    org.apache.commons.math3.linear.RealMatrixFormat realMatrixFormat0 = org.apache.commons.math3.linear.RealMatrixFormat.getInstance();
    double[] d_array2 = new double[] { 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair4 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 3.141592653589793d);
    double[][] d_array_array5 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array5);
    java.lang.String str7 = realMatrixFormat0.format((org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix6);
    java.lang.String str8 = realMatrixFormat0.getRowSuffix();
    java.text.NumberFormat numberFormat9 = realMatrixFormat0.getFormat();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "{{100}}"+ "'", str7.equals("{{100}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "}"+ "'", str8.equals("}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test420"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    java.lang.String str3 = array2DRowFieldMatrix1.toString();
    boolean b4 = array2DRowFieldMatrix1.isSquare();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement[] fieldElement_array6 = array2DRowFieldMatrix1.getRow(0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Array2DRowFieldMatrix{}"+ "'", str3.equals("Array2DRowFieldMatrix{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test421"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test422"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array3 = array2DRowFieldMatrix1.getDataRef();
    org.apache.commons.math3.optimization.linear.NoFeasibleSolutionException noFeasibleSolutionException4 = new org.apache.commons.math3.optimization.linear.NoFeasibleSolutionException();
    boolean b5 = array2DRowFieldMatrix1.equals((java.lang.Object)noFeasibleSolutionException4);
    org.apache.commons.math3.Field field6 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix7 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field6);
    org.apache.commons.math3.exception.util.Localizable localizable8 = null;
    java.lang.Object[] obj_array10 = null;
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException11 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable8, (java.lang.Number)1.0f, obj_array10);
    boolean b12 = array2DRowFieldMatrix7.equals((java.lang.Object)notFiniteNumberException11);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldMatrix fieldMatrix13 = array2DRowFieldMatrix1.subtract((org.apache.commons.math3.linear.FieldMatrix)array2DRowFieldMatrix7);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test423"); }


    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math3.linear.BlockRealMatrix(3, 100);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix3 = blockRealMatrix2.transpose();
    org.apache.commons.math3.linear.RealMatrixChangingVisitor realMatrixChangingVisitor4 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d9 = blockRealMatrix2.walkInColumnOrder(realMatrixChangingVisitor4, 2, 100, 1, 29791);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix3);

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test424"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(20.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 20.0d);

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test425"); }


    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math3.linear.BlockRealMatrix(3, 10);
    org.apache.commons.math3.linear.RealMatrix realMatrix4 = blockRealMatrix2.scalarMultiply(3.141592653589793d);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix5 = blockRealMatrix2.transpose();
    double d6 = blockRealMatrix2.getNorm();
    double[] d_array9 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair12 = new org.apache.commons.math3.optimization.PointValuePair(d_array9, 100.0d, false);
    double[][] d_array_array13 = new double[][] { d_array9 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix15 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array13, true);
    double d16 = array2DRowRealMatrix15.getFrobeniusNorm();
    org.apache.commons.math3.linear.RealMatrix realMatrix18 = array2DRowRealMatrix15.getColumnMatrix(0);
    double[] d_array21 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair24 = new org.apache.commons.math3.optimization.PointValuePair(d_array21, 100.0d, false);
    double[][] d_array_array25 = new double[][] { d_array21 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix27 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array25, true);
    double d28 = array2DRowRealMatrix27.getFrobeniusNorm();
    boolean b29 = array2DRowRealMatrix27.isTransposable();
    org.apache.commons.math3.linear.RealMatrix realMatrix30 = array2DRowRealMatrix15.subtract((org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix27);
    int i31 = array2DRowRealMatrix27.getColumnDimension();
    double[][] d_array_array32 = array2DRowRealMatrix27.getData();
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix2.setSubMatrix(d_array_array32, 100, 3);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array32);

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test426"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    java.lang.String str3 = array2DRowFieldMatrix1.toString();
    boolean b4 = array2DRowFieldMatrix1.isSquare();
    org.apache.commons.math3.linear.FieldMatrixChangingVisitor fieldMatrixChangingVisitor5 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement fieldElement6 = array2DRowFieldMatrix1.walkInRowOrder(fieldMatrixChangingVisitor5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Array2DRowFieldMatrix{}"+ "'", str3.equals("Array2DRowFieldMatrix{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test427"); }


    double[] d_array2 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 100.0d, false);
    double[][] d_array_array6 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix8 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array6, true);
    double d9 = array2DRowRealMatrix8.getFrobeniusNorm();
    boolean b10 = array2DRowRealMatrix8.isTransposable();
    boolean b11 = array2DRowRealMatrix8.isSquare();
    double[][] d_array_array12 = array2DRowRealMatrix8.getData();
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix13 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array12);
    double[] d_array16 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair19 = new org.apache.commons.math3.optimization.PointValuePair(d_array16, 100.0d, false);
    double[][] d_array_array20 = new double[][] { d_array16 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix22 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array20, true);
    double d23 = array2DRowRealMatrix22.getFrobeniusNorm();
    org.apache.commons.math3.linear.RealMatrix realMatrix25 = array2DRowRealMatrix22.getColumnMatrix(0);
    double[] d_array28 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair31 = new org.apache.commons.math3.optimization.PointValuePair(d_array28, 100.0d, false);
    double[][] d_array_array32 = new double[][] { d_array28 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix34 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array32, true);
    double d35 = array2DRowRealMatrix34.getFrobeniusNorm();
    boolean b36 = array2DRowRealMatrix34.isTransposable();
    org.apache.commons.math3.linear.RealMatrix realMatrix37 = array2DRowRealMatrix22.subtract((org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix34);
    int i38 = array2DRowRealMatrix34.getColumnDimension();
    double[][] d_array_array39 = array2DRowRealMatrix34.getData();
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix40 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array39);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.checkMultiplicationCompatible((org.apache.commons.math3.linear.AnyMatrix)array2DRowRealMatrix13, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix40);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array39);

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test428"); }


    org.apache.commons.math3.util.MathUtils.checkFinite(20.0d);

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test429"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(2.4431611453543463d, Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test430"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    boolean b3 = array2DRowFieldMatrix1.isSquare();
    org.apache.commons.math3.FieldElement[] fieldElement_array8 = null;
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array9 = new org.apache.commons.math3.FieldElement[][] { fieldElement_array8 };
    // The following exception was thrown during execution in test generation
    try {
      array2DRowFieldMatrix1.copySubMatrix(3, 10, 0, 0, fieldElement_array_array9);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array9);

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test431"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector2 = new org.apache.commons.math3.linear.ArrayRealVector(1, 6.0d);
    org.apache.commons.math3.linear.RealVector realVector4 = arrayRealVector2.mapDivideToSelf(57.29577951308232d);
    java.io.ObjectOutputStream objectOutputStream5 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.serializeRealVector(realVector4, objectOutputStream5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector4);

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test432"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.0f, (-0.99999994f), 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test433"); }


    double[] d_array2 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 100.0d, false);
    double[][] d_array_array6 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix8 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array6, true);
    double d9 = array2DRowRealMatrix8.getFrobeniusNorm();
    org.apache.commons.math3.linear.RealMatrix realMatrix11 = array2DRowRealMatrix8.getColumnMatrix(0);
    org.apache.commons.math3.linear.RealMatrix realMatrix13 = array2DRowRealMatrix8.scalarMultiply(20.0d);
    java.io.ObjectOutputStream objectOutputStream14 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.serializeRealMatrix((org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix8, objectOutputStream14);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix13);

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test434"); }


    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math3.linear.BlockRealMatrix(3, 100);
    java.lang.String str3 = blockRealMatrix2.toString();
    int i4 = blockRealMatrix2.getRowDimension();
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix7 = new org.apache.commons.math3.linear.BlockRealMatrix(3, 10);
    org.apache.commons.math3.linear.RealMatrix realMatrix9 = blockRealMatrix7.getColumnMatrix(3);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix7.copy();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix11 = blockRealMatrix2.subtract(blockRealMatrix10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.MatrixDimensionMismatchException");
    } catch (org.apache.commons.math3.linear.MatrixDimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.linear.MatrixDimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.MatrixDimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "BlockRealMatrix{{0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0}}"+ "'", str3.equals("BlockRealMatrix{{0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test435"); }


    java.lang.Double[] d_array1 = new java.lang.Double[] { 0.0d };
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector2 = new org.apache.commons.math3.linear.ArrayRealVector(d_array1);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector4 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector2, true);
    org.apache.commons.math3.linear.RealVector realVector6 = arrayRealVector2.mapMultiply(0.0d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector7 = new org.apache.commons.math3.linear.ArrayRealVector(realVector6);
    double d8 = realVector6.getMaxValue();
    java.io.ObjectOutputStream objectOutputStream9 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.serializeRealVector(realVector6, objectOutputStream9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test436"); }


    double d0 = org.apache.commons.math3.util.FastMath.E;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d0 == 2.718281828459045d);

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test437"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    org.apache.commons.math3.FieldElement fieldElement5 = null;
    // The following exception was thrown during execution in test generation
    try {
      array2DRowFieldMatrix1.multiplyEntry((-1022), 2, fieldElement5);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test438"); }


    java.lang.Double[] d_array1 = new java.lang.Double[] { 0.0d };
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector2 = new org.apache.commons.math3.linear.ArrayRealVector(d_array1);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector4 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector2, true);
    org.apache.commons.math3.linear.RealVector realVector6 = arrayRealVector2.mapDivide((-1.0d));
    java.io.ObjectOutputStream objectOutputStream7 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.serializeRealVector(realVector6, objectOutputStream7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector6);

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test439"); }


    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math3.linear.BlockRealMatrix(3, 10);
    org.apache.commons.math3.linear.RealMatrix realMatrix4 = blockRealMatrix2.scalarMultiply(3.141592653589793d);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix5 = blockRealMatrix2.transpose();
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix8 = blockRealMatrix2.createMatrix(100, 1);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix11 = new org.apache.commons.math3.linear.BlockRealMatrix(3, 10);
    org.apache.commons.math3.linear.RealMatrix realMatrix13 = blockRealMatrix11.scalarMultiply(3.141592653589793d);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix14 = blockRealMatrix11.transpose();
    org.apache.commons.math3.linear.MatrixUtils.checkAdditionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix2, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix11);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix17 = blockRealMatrix11.scalarAdd(10.0d);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix20 = blockRealMatrix11.createMatrix(10, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix17);

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test440"); }


    double[] d_array2 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 100.0d, false);
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    double[] d_array9 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair12 = new org.apache.commons.math3.optimization.PointValuePair(d_array9, 100.0d, false);
    double[][] d_array_array13 = new double[][] { d_array9 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix15 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array13, true);
    double d16 = array2DRowRealMatrix15.getFrobeniusNorm();
    boolean b17 = array2DRowRealMatrix15.isTransposable();
    boolean b18 = array2DRowRealMatrix15.isSquare();
    double[][] d_array_array19 = array2DRowRealMatrix15.getData();
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix20 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array19);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)pointValuePair5, localizable6, (java.lang.Object[])d_array_array19);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix22 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array19);
    org.apache.commons.math3.linear.RealMatrix realMatrix24 = array2DRowRealMatrix22.getColumnMatrix(1);
    int[] i_array28 = new int[] { 0, 100, 100 };
    int[] i_array32 = new int[] { 100, (-1), (-1) };
    double[] d_array35 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair38 = new org.apache.commons.math3.optimization.PointValuePair(d_array35, 100.0d, false);
    double[][] d_array_array39 = new double[][] { d_array35 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix41 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array39, true);
    double d42 = array2DRowRealMatrix41.getFrobeniusNorm();
    boolean b43 = array2DRowRealMatrix41.isTransposable();
    boolean b44 = array2DRowRealMatrix41.isSquare();
    double[][] d_array_array45 = array2DRowRealMatrix41.getData();
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix46 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array45);
    double[] d_array49 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair52 = new org.apache.commons.math3.optimization.PointValuePair(d_array49, 100.0d, false);
    double[][] d_array_array53 = new double[][] { d_array49 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix55 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array53, true);
    double[] d_array59 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair62 = new org.apache.commons.math3.optimization.PointValuePair(d_array59, 100.0d, false);
    double[][] d_array_array63 = new double[][] { d_array59 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix65 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array63, true);
    double d66 = array2DRowRealMatrix65.getFrobeniusNorm();
    boolean b67 = array2DRowRealMatrix65.isTransposable();
    boolean b68 = array2DRowRealMatrix65.isSquare();
    double[][] d_array_array69 = array2DRowRealMatrix65.getData();
    array2DRowRealMatrix55.setRowMatrix(0, (org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix65);
    double[] d_array73 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair76 = new org.apache.commons.math3.optimization.PointValuePair(d_array73, 100.0d, false);
    double[] d_array77 = array2DRowRealMatrix55.operate(d_array73);
    double[] d_array78 = array2DRowRealMatrix46.operate(d_array73);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array73);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector80 = new org.apache.commons.math3.linear.ArrayRealVector(d_array73);
    double[][] d_array_array81 = new double[][] { d_array73 };
    // The following exception was thrown during execution in test generation
    try {
      array2DRowRealMatrix22.copySubMatrix(i_array28, i_array32, d_array_array81);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d66 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b67 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b68 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array81);

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test441"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    java.lang.Object[] obj_array4 = null;
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException5 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable2, (java.lang.Number)1.0f, obj_array4);
    boolean b6 = array2DRowFieldMatrix1.equals((java.lang.Object)notFiniteNumberException5);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array7 = array2DRowFieldMatrix1.getDataRef();
    org.apache.commons.math3.linear.FieldMatrixPreservingVisitor fieldMatrixPreservingVisitor8 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement fieldElement9 = array2DRowFieldMatrix1.walkInOptimizedOrder(fieldMatrixPreservingVisitor8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array7);

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test442"); }


    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math3.linear.BlockRealMatrix(3, 10);
    org.apache.commons.math3.linear.RealMatrix realMatrix4 = blockRealMatrix2.getColumnMatrix(3);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix5 = blockRealMatrix2.copy();
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix8 = new org.apache.commons.math3.linear.BlockRealMatrix(3, 100);
    java.lang.String str9 = blockRealMatrix8.toString();
    int i10 = blockRealMatrix8.getRowDimension();
    org.apache.commons.math3.linear.MatrixUtils.checkRowIndex((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix8, 1);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix13 = blockRealMatrix2.multiply(blockRealMatrix8);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "BlockRealMatrix{{0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0}}"+ "'", str9.equals("BlockRealMatrix{{0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 3);

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test443"); }


    double[] d_array2 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 100.0d, false);
    double[][] d_array_array6 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix8 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array6, true);
    double d9 = array2DRowRealMatrix8.getFrobeniusNorm();
    org.apache.commons.math3.linear.RealMatrix realMatrix11 = array2DRowRealMatrix8.getColumnMatrix(0);
    // The following exception was thrown during execution in test generation
    try {
      double d14 = array2DRowRealMatrix8.getEntry(1, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix11);

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test444"); }


    java.lang.Double[] d_array1 = new java.lang.Double[] { 6.0d };
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector2 = new org.apache.commons.math3.linear.ArrayRealVector(d_array1);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.ArrayRealVector arrayRealVector5 = new org.apache.commons.math3.linear.ArrayRealVector(d_array1, 36, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test445"); }


    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math3.linear.BlockRealMatrix(3, 10);
    org.apache.commons.math3.linear.RealMatrix realMatrix4 = blockRealMatrix2.scalarMultiply(3.141592653589793d);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix5 = blockRealMatrix2.transpose();
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix8 = blockRealMatrix2.createMatrix(100, 1);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix11 = new org.apache.commons.math3.linear.BlockRealMatrix(3, 10);
    org.apache.commons.math3.linear.RealMatrix realMatrix13 = blockRealMatrix11.scalarMultiply(3.141592653589793d);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix14 = blockRealMatrix11.transpose();
    org.apache.commons.math3.linear.MatrixUtils.checkAdditionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix2, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix11);
    double[][] d_array_array16 = blockRealMatrix11.getData();
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix17 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array16);
    double[] d_array21 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair24 = new org.apache.commons.math3.optimization.PointValuePair(d_array21, 100.0d, false);
    org.apache.commons.math3.exception.util.Localizable localizable25 = null;
    double[] d_array28 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair31 = new org.apache.commons.math3.optimization.PointValuePair(d_array28, 100.0d, false);
    double[][] d_array_array32 = new double[][] { d_array28 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix34 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array32, true);
    double d35 = array2DRowRealMatrix34.getFrobeniusNorm();
    boolean b36 = array2DRowRealMatrix34.isTransposable();
    boolean b37 = array2DRowRealMatrix34.isSquare();
    double[][] d_array_array38 = array2DRowRealMatrix34.getData();
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix39 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array38);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)pointValuePair24, localizable25, (java.lang.Object[])d_array_array38);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix41 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array38);
    org.apache.commons.math3.linear.RealMatrix realMatrix43 = array2DRowRealMatrix41.getColumnMatrix(1);
    double[] d_array46 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair49 = new org.apache.commons.math3.optimization.PointValuePair(d_array46, 100.0d, false);
    org.apache.commons.math3.exception.util.Localizable localizable50 = null;
    double[] d_array53 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair56 = new org.apache.commons.math3.optimization.PointValuePair(d_array53, 100.0d, false);
    double[][] d_array_array57 = new double[][] { d_array53 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix59 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array57, true);
    double d60 = array2DRowRealMatrix59.getFrobeniusNorm();
    boolean b61 = array2DRowRealMatrix59.isTransposable();
    boolean b62 = array2DRowRealMatrix59.isSquare();
    double[][] d_array_array63 = array2DRowRealMatrix59.getData();
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix64 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array63);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)pointValuePair49, localizable50, (java.lang.Object[])d_array_array63);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix66 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array63);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix67 = array2DRowRealMatrix41.subtract(array2DRowRealMatrix66);
    double[] d_array70 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair73 = new org.apache.commons.math3.optimization.PointValuePair(d_array70, 100.0d, false);
    double[][] d_array_array74 = new double[][] { d_array70 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix76 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array74, true);
    double d77 = array2DRowRealMatrix76.getFrobeniusNorm();
    org.apache.commons.math3.linear.RealMatrix realMatrix78 = array2DRowRealMatrix66.add((org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix76);
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix17.setRowMatrix((-1), (org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix76);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b62 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d77 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix78);

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test446"); }


    org.apache.commons.math3.linear.OpenMapRealMatrix openMapRealMatrix0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.OpenMapRealMatrix openMapRealMatrix1 = new org.apache.commons.math3.linear.OpenMapRealMatrix(openMapRealMatrix0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test447"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    boolean b3 = array2DRowFieldMatrix1.isSquare();
    org.apache.commons.math3.linear.FieldMatrixPreservingVisitor fieldMatrixPreservingVisitor4 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement fieldElement5 = array2DRowFieldMatrix1.walkInColumnOrder(fieldMatrixPreservingVisitor4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test448"); }


    org.apache.commons.math3.Field field0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement[][] fieldElement_array_array3 = org.apache.commons.math3.linear.BlockFieldMatrix.<org.apache.commons.math3.FieldElement>createBlocksLayout(field0, 1, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test449"); }


    org.apache.commons.math3.FieldElement[] fieldElement_array0 = null;
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array1 = new org.apache.commons.math3.FieldElement[][] { fieldElement_array0 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix3 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(fieldElement_array_array1, false);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array1);

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test450"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.Field field3 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix4 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field3);
    // The following exception was thrown during execution in test generation
    try {
      array2DRowFieldMatrix1.setColumnMatrix(36, (org.apache.commons.math3.linear.FieldMatrix)array2DRowFieldMatrix4);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test451"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(100.0d, 6.283185307179586d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.39908993417905747d);

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test452"); }


    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math3.linear.BlockRealMatrix(3, 100);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix3 = blockRealMatrix2.transpose();
    double d4 = blockRealMatrix2.getNorm();
    double d5 = blockRealMatrix2.getNorm();
    java.lang.Double[] d_array8 = new java.lang.Double[] { 2.154434690031884d };
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector9 = new org.apache.commons.math3.linear.ArrayRealVector(d_array8);
    org.apache.commons.math3.linear.RealVector realVector11 = arrayRealVector9.mapSubtractToSelf(1.2454660011567422d);
    java.lang.Double[] d_array13 = new java.lang.Double[] { 2.154434690031884d };
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector14 = new org.apache.commons.math3.linear.ArrayRealVector(d_array13);
    org.apache.commons.math3.linear.RealVector realVector16 = arrayRealVector14.mapSubtractToSelf(1.2454660011567422d);
    org.apache.commons.math3.linear.RealVector realVector17 = arrayRealVector9.projection(realVector16);
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix2.setRowVector(36, realVector17);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector17);

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test453"); }


    java.text.ParsePosition parsePosition1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.CompositeFormat.parseAndIgnoreWhitespace("[", parsePosition1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test454"); }


    java.lang.Double[] d_array1 = new java.lang.Double[] { 0.0d };
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector2 = new org.apache.commons.math3.linear.ArrayRealVector(d_array1);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector4 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector2, true);
    org.apache.commons.math3.linear.RealVector realVector6 = arrayRealVector2.mapMultiply(0.0d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector7 = new org.apache.commons.math3.linear.ArrayRealVector(realVector6);
    boolean b9 = arrayRealVector7.equals((java.lang.Object)(short)1);
    double d10 = arrayRealVector7.getL1Norm();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector11 = new org.apache.commons.math3.linear.ArrayRealVector((org.apache.commons.math3.linear.RealVector)arrayRealVector7);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector13 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector7, true);
    // The following exception was thrown during execution in test generation
    try {
      double d15 = arrayRealVector13.getEntry(2);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test455"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    java.lang.String str3 = array2DRowFieldMatrix1.toString();
    java.lang.String str4 = array2DRowFieldMatrix1.toString();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldMatrix fieldMatrix7 = array2DRowFieldMatrix1.createMatrix((-1022), (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Array2DRowFieldMatrix{}"+ "'", str3.equals("Array2DRowFieldMatrix{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "Array2DRowFieldMatrix{}"+ "'", str4.equals("Array2DRowFieldMatrix{}"));

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test456"); }


    org.apache.commons.math3.FieldElement[] fieldElement_array0 = null;
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array1 = new org.apache.commons.math3.FieldElement[][] { fieldElement_array0 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix2 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(fieldElement_array_array1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array1);

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test457"); }


    java.lang.Double[] d_array1 = new java.lang.Double[] { 0.0d };
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector2 = new org.apache.commons.math3.linear.ArrayRealVector(d_array1);
    java.util.Iterator iterator3 = arrayRealVector2.iterator();
    // The following exception was thrown during execution in test generation
    try {
      arrayRealVector2.addToEntry(3, 2.4431611453543463d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator3);

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test458"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(57.29577951308232d, 9.0d, 0.7853981633974483d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test459"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    java.lang.String str3 = array2DRowFieldMatrix1.toString();
    java.lang.String str4 = array2DRowFieldMatrix1.toString();
    org.apache.commons.math3.linear.FieldVector fieldVector6 = null;
    // The following exception was thrown during execution in test generation
    try {
      array2DRowFieldMatrix1.setColumnVector(0, fieldVector6);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Array2DRowFieldMatrix{}"+ "'", str3.equals("Array2DRowFieldMatrix{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "Array2DRowFieldMatrix{}"+ "'", str4.equals("Array2DRowFieldMatrix{}"));

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test460"); }


    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math3.linear.BlockRealMatrix(3, 100);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix3 = blockRealMatrix2.transpose();
    double d4 = blockRealMatrix2.getNorm();
    double d5 = blockRealMatrix2.getNorm();
    double[] d_array7 = blockRealMatrix2.getColumn(3);
    org.apache.commons.math3.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor8 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d9 = blockRealMatrix2.walkInRowOrder(realMatrixPreservingVisitor8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test461"); }


    org.apache.commons.math3.linear.MatrixDimensionMismatchException matrixDimensionMismatchException4 = new org.apache.commons.math3.linear.MatrixDimensionMismatchException(1, (-1022), 2, 3);

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test462"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    java.lang.String str3 = array2DRowFieldMatrix1.toString();
    org.apache.commons.math3.Field field4 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix5 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field4);
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    java.lang.Object[] obj_array8 = null;
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException9 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable6, (java.lang.Number)1.0f, obj_array8);
    boolean b10 = array2DRowFieldMatrix5.equals((java.lang.Object)notFiniteNumberException9);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array11 = array2DRowFieldMatrix5.getDataRef();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix12 = array2DRowFieldMatrix1.multiply(array2DRowFieldMatrix5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Array2DRowFieldMatrix{}"+ "'", str3.equals("Array2DRowFieldMatrix{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array11);

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test463"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(9.999999f, 100.0f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test464"); }


    org.apache.commons.math3.linear.RealMatrixFormat realMatrixFormat0 = org.apache.commons.math3.linear.MatrixUtils.OCTAVE_FORMAT;
    java.lang.String str1 = realMatrixFormat0.getPrefix();
    java.lang.String str2 = realMatrixFormat0.getPrefix();
    double[] d_array5 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair8 = new org.apache.commons.math3.optimization.PointValuePair(d_array5, 100.0d, false);
    double[][] d_array_array9 = new double[][] { d_array5 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix11 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array9, true);
    int i12 = array2DRowRealMatrix11.getRowDimension();
    double[][] d_array_array13 = array2DRowRealMatrix11.getData();
    java.lang.StringBuffer stringBuffer14 = null;
    java.text.FieldPosition fieldPosition15 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer16 = realMatrixFormat0.format((org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix11, stringBuffer14, fieldPosition15);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "["+ "'", str1.equals("["));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "["+ "'", str2.equals("["));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array13);

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test465"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    java.lang.String str3 = array2DRowFieldMatrix1.toString();
    boolean b4 = array2DRowFieldMatrix1.isSquare();
    org.apache.commons.math3.linear.FieldMatrixPreservingVisitor fieldMatrixPreservingVisitor5 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement fieldElement10 = array2DRowFieldMatrix1.walkInColumnOrder(fieldMatrixPreservingVisitor5, (-1022), 0, 0, (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Array2DRowFieldMatrix{}"+ "'", str3.equals("Array2DRowFieldMatrix{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test466"); }


    org.apache.commons.math3.Field field0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.BlockFieldMatrix blockFieldMatrix3 = new org.apache.commons.math3.linear.BlockFieldMatrix(field0, 36, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test467"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix2 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(0, 10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test468"); }


    double[] d_array2 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 100.0d, false);
    double[][] d_array_array6 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix8 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array6, true);
    double[] d_array12 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair15 = new org.apache.commons.math3.optimization.PointValuePair(d_array12, 100.0d, false);
    double[][] d_array_array16 = new double[][] { d_array12 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array16, true);
    double d19 = array2DRowRealMatrix18.getFrobeniusNorm();
    boolean b20 = array2DRowRealMatrix18.isTransposable();
    boolean b21 = array2DRowRealMatrix18.isSquare();
    double[][] d_array_array22 = array2DRowRealMatrix18.getData();
    array2DRowRealMatrix8.setRowMatrix(0, (org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix18);
    double[] d_array26 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair29 = new org.apache.commons.math3.optimization.PointValuePair(d_array26, 100.0d, false);
    double[] d_array30 = array2DRowRealMatrix8.operate(d_array26);
    org.apache.commons.math3.linear.RealVector realVector31 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector31);

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test469"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    java.lang.Object[] obj_array4 = null;
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException5 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable2, (java.lang.Number)1.0f, obj_array4);
    boolean b6 = array2DRowFieldMatrix1.equals((java.lang.Object)notFiniteNumberException5);
    org.apache.commons.math3.linear.FieldMatrixPreservingVisitor fieldMatrixPreservingVisitor7 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement fieldElement8 = array2DRowFieldMatrix1.walkInOptimizedOrder(fieldMatrixPreservingVisitor7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test470"); }


    org.apache.commons.math3.util.MathUtils.checkFinite(100.0d);

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test471"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    boolean b3 = array2DRowFieldMatrix1.isSquare();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement[][] fieldElement_array_array4 = array2DRowFieldMatrix1.getData();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test472"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    java.lang.Object[] obj_array4 = null;
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException5 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable2, (java.lang.Number)1.0f, obj_array4);
    boolean b6 = array2DRowFieldMatrix1.equals((java.lang.Object)notFiniteNumberException5);
    org.apache.commons.math3.linear.FieldVector fieldVector7 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldVector fieldVector8 = array2DRowFieldMatrix1.operate(fieldVector7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test473"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(100.4987562112089d, 57.31730760522529d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 57.31730760522529d);

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test474"); }


    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math3.linear.BlockRealMatrix(3, 100);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix3 = blockRealMatrix2.transpose();
    double d4 = blockRealMatrix2.getNorm();
    double d5 = blockRealMatrix2.getNorm();
    double[] d_array7 = blockRealMatrix2.getColumn(3);
    double[] d_array9 = blockRealMatrix2.getRow(2);
    double[] d_array11 = new double[] { 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair13 = new org.apache.commons.math3.optimization.PointValuePair(d_array11, 3.141592653589793d);
    org.apache.commons.math3.linear.RealMatrix realMatrix14 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array11);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array15 = blockRealMatrix2.preMultiply(d_array11);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix14);

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test475"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(8.881784197001252E-16d, 1.0d, (-1022));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test476"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    java.lang.String str3 = array2DRowFieldMatrix1.toString();
    org.apache.commons.math3.Field field4 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix5 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field4);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array6 = array2DRowFieldMatrix5.getDataRef();
    boolean b7 = array2DRowFieldMatrix5.isSquare();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix8 = array2DRowFieldMatrix1.add(array2DRowFieldMatrix5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Array2DRowFieldMatrix{}"+ "'", str3.equals("Array2DRowFieldMatrix{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test477"); }


    double[] d_array2 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 100.0d, false);
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    double[] d_array9 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair12 = new org.apache.commons.math3.optimization.PointValuePair(d_array9, 100.0d, false);
    double[][] d_array_array13 = new double[][] { d_array9 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix15 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array13, true);
    double d16 = array2DRowRealMatrix15.getFrobeniusNorm();
    boolean b17 = array2DRowRealMatrix15.isTransposable();
    boolean b18 = array2DRowRealMatrix15.isSquare();
    double[][] d_array_array19 = array2DRowRealMatrix15.getData();
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix20 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array19);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)pointValuePair5, localizable6, (java.lang.Object[])d_array_array19);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix22 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array19);
    org.apache.commons.math3.linear.RealMatrix realMatrix24 = array2DRowRealMatrix22.getColumnMatrix(1);
    double[] d_array27 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair30 = new org.apache.commons.math3.optimization.PointValuePair(d_array27, 100.0d, false);
    org.apache.commons.math3.exception.util.Localizable localizable31 = null;
    double[] d_array34 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair37 = new org.apache.commons.math3.optimization.PointValuePair(d_array34, 100.0d, false);
    double[][] d_array_array38 = new double[][] { d_array34 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix40 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array38, true);
    double d41 = array2DRowRealMatrix40.getFrobeniusNorm();
    boolean b42 = array2DRowRealMatrix40.isTransposable();
    boolean b43 = array2DRowRealMatrix40.isSquare();
    double[][] d_array_array44 = array2DRowRealMatrix40.getData();
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix45 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array44);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)pointValuePair30, localizable31, (java.lang.Object[])d_array_array44);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix47 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array44);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix48 = array2DRowRealMatrix22.subtract(array2DRowRealMatrix47);
    org.apache.commons.math3.linear.RealMatrixChangingVisitor realMatrixChangingVisitor49 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d54 = array2DRowRealMatrix22.walkInRowOrder(realMatrixChangingVisitor49, 3, 100, 36, 36);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix48);

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test478"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.FieldElement[] fieldElement_array1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix2 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0, fieldElement_array1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test479"); }


    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math3.linear.BlockRealMatrix(3, 10);
    org.apache.commons.math3.linear.RealMatrix realMatrix4 = blockRealMatrix2.scalarMultiply(3.141592653589793d);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix5 = blockRealMatrix2.transpose();
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix8 = blockRealMatrix2.createMatrix(100, 1);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix11 = new org.apache.commons.math3.linear.BlockRealMatrix(3, 10);
    org.apache.commons.math3.linear.RealMatrix realMatrix13 = blockRealMatrix11.scalarMultiply(3.141592653589793d);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix14 = blockRealMatrix11.transpose();
    org.apache.commons.math3.linear.MatrixUtils.checkAdditionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix2, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix11);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix17 = blockRealMatrix11.scalarAdd(20.0d);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix20 = new org.apache.commons.math3.linear.BlockRealMatrix(3, 100);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix21 = blockRealMatrix20.transpose();
    double d22 = blockRealMatrix20.getNorm();
    double d23 = blockRealMatrix20.getNorm();
    double[] d_array25 = blockRealMatrix20.getColumn(3);
    double[] d_array27 = blockRealMatrix20.getRow(2);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array28 = blockRealMatrix11.preMultiply(d_array27);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test480"); }


    org.apache.commons.math3.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)10.0f);
    java.lang.Number number2 = notPositiveException1.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 0+ "'", number2.equals(0));

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test481"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs(2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 2);

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test482"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(57.29577951308232d, 2.154434690031884d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 57.295779513082316d);

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test483"); }


    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math3.linear.BlockRealMatrix(3, 100);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix3 = blockRealMatrix2.transpose();
    double d4 = blockRealMatrix2.getNorm();
    double d5 = blockRealMatrix2.getNorm();
    double[] d_array7 = blockRealMatrix2.getColumn(3);
    int i8 = blockRealMatrix2.getRowDimension();
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix12 = new org.apache.commons.math3.linear.BlockRealMatrix(3, 10);
    org.apache.commons.math3.linear.RealMatrix realMatrix14 = blockRealMatrix12.scalarMultiply(3.141592653589793d);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix15 = blockRealMatrix12.transpose();
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix18 = blockRealMatrix12.createMatrix(100, 1);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix21 = new org.apache.commons.math3.linear.BlockRealMatrix(3, 10);
    org.apache.commons.math3.linear.RealMatrix realMatrix23 = blockRealMatrix21.scalarMultiply(3.141592653589793d);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix24 = blockRealMatrix21.transpose();
    org.apache.commons.math3.linear.MatrixUtils.checkAdditionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix12, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix21);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix27 = blockRealMatrix21.scalarAdd(20.0d);
    double[] d_array29 = blockRealMatrix21.getRow(0);
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix2.setColumnMatrix(1022, (org.apache.commons.math3.linear.RealMatrix)blockRealMatrix21);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test484"); }


    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math3.linear.BlockRealMatrix(3, 10);
    org.apache.commons.math3.linear.RealMatrix realMatrix4 = blockRealMatrix2.scalarMultiply(3.141592653589793d);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix5 = blockRealMatrix2.transpose();
    double d6 = blockRealMatrix2.getNorm();
    org.apache.commons.math3.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor7 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d8 = blockRealMatrix2.walkInRowOrder(realMatrixPreservingVisitor7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test485"); }


    org.apache.commons.math3.optimization.linear.SimplexSolver simplexSolver2 = new org.apache.commons.math3.optimization.linear.SimplexSolver(20.0d, 0);
    int i3 = simplexSolver2.getMaxIterations();
    simplexSolver2.setMaxIterations(100);
    int i6 = simplexSolver2.getMaxIterations();
    org.apache.commons.math3.linear.RealVector realVector7 = null;
    org.apache.commons.math3.optimization.linear.LinearObjectiveFunction linearObjectiveFunction9 = new org.apache.commons.math3.optimization.linear.LinearObjectiveFunction(realVector7, 0.0d);
    double[] d_array12 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair15 = new org.apache.commons.math3.optimization.PointValuePair(d_array12, 100.0d, false);
    double[] d_array16 = pointValuePair15.getPoint();
    boolean b17 = linearObjectiveFunction9.equals((java.lang.Object)d_array16);
    java.util.Collection collection18 = null;
    org.apache.commons.math3.optimization.GoalType goalType19 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.PointValuePair pointValuePair21 = simplexSolver2.optimize(linearObjectiveFunction9, collection18, goalType19, false);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test486"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    org.apache.commons.math3.linear.FieldMatrixPreservingVisitor fieldMatrixPreservingVisitor3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement fieldElement4 = array2DRowFieldMatrix1.walkInColumnOrder(fieldMatrixPreservingVisitor3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test487"); }


    double[] d_array2 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 100.0d, false);
    double[][] d_array_array6 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix8 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array6, true);
    double d9 = array2DRowRealMatrix8.getFrobeniusNorm();
    boolean b10 = array2DRowRealMatrix8.isTransposable();
    int i11 = array2DRowRealMatrix8.getRowDimension();
    org.apache.commons.math3.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor12 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d13 = array2DRowRealMatrix8.walkInOptimizedOrder(realMatrixPreservingVisitor12);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 1);

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test488"); }


    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math3.linear.BlockRealMatrix(3, 100);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix3 = blockRealMatrix2.transpose();
    double d4 = blockRealMatrix2.getNorm();
    double d5 = blockRealMatrix2.getNorm();
    org.apache.commons.math3.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor6 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d7 = blockRealMatrix2.walkInRowOrder(realMatrixPreservingVisitor6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test489"); }


    org.apache.commons.math3.exception.MathParseException mathParseException2 = new org.apache.commons.math3.exception.MathParseException("hi!", 100);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext3 = mathParseException2.getContext();
    java.lang.Throwable[] throwable_array4 = mathParseException2.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test490"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    java.lang.Object[] obj_array4 = null;
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException5 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable2, (java.lang.Number)1.0f, obj_array4);
    boolean b6 = array2DRowFieldMatrix1.equals((java.lang.Object)notFiniteNumberException5);
    org.apache.commons.math3.FieldElement fieldElement9 = null;
    // The following exception was thrown during execution in test generation
    try {
      array2DRowFieldMatrix1.addToEntry(1, 0, fieldElement9);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test491"); }


    double[] d_array2 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 100.0d, false);
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    double[] d_array9 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair12 = new org.apache.commons.math3.optimization.PointValuePair(d_array9, 100.0d, false);
    double[][] d_array_array13 = new double[][] { d_array9 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix15 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array13, true);
    double d16 = array2DRowRealMatrix15.getFrobeniusNorm();
    boolean b17 = array2DRowRealMatrix15.isTransposable();
    boolean b18 = array2DRowRealMatrix15.isSquare();
    double[][] d_array_array19 = array2DRowRealMatrix15.getData();
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix20 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array19);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)pointValuePair5, localizable6, (java.lang.Object[])d_array_array19);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix22 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array19);
    array2DRowRealMatrix22.setEntry(0, 0, 0.0d);
    java.io.ObjectOutputStream objectOutputStream27 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.serializeRealMatrix((org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix22, objectOutputStream27);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test492"); }


    org.apache.commons.math3.Field field0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.BlockFieldMatrix blockFieldMatrix3 = new org.apache.commons.math3.linear.BlockFieldMatrix(field0, 1024, 2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test493"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(1.2454660011567422d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test494"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(9.999999f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 10);

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test495"); }


    double[] d_array2 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 100.0d, false);
    double[][] d_array_array6 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix8 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array6, true);
    double d9 = array2DRowRealMatrix8.getFrobeniusNorm();
    org.apache.commons.math3.linear.RealMatrix realMatrix11 = array2DRowRealMatrix8.getColumnMatrix(0);
    double[] d_array14 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair17 = new org.apache.commons.math3.optimization.PointValuePair(d_array14, 100.0d, false);
    double[][] d_array_array18 = new double[][] { d_array14 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix20 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array18, true);
    double d21 = array2DRowRealMatrix20.getFrobeniusNorm();
    boolean b22 = array2DRowRealMatrix20.isTransposable();
    org.apache.commons.math3.linear.RealMatrix realMatrix23 = array2DRowRealMatrix8.subtract((org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix20);
    int i24 = array2DRowRealMatrix20.getColumnDimension();
    double[][] d_array_array25 = array2DRowRealMatrix20.getData();
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix26 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array25);
    org.apache.commons.math3.linear.RealMatrixChangingVisitor realMatrixChangingVisitor27 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d28 = blockRealMatrix26.walkInRowOrder(realMatrixChangingVisitor27);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array25);

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test496"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    java.lang.String str3 = array2DRowFieldMatrix1.toString();
    boolean b4 = array2DRowFieldMatrix1.isSquare();
    org.apache.commons.math3.FieldElement[] fieldElement_array5 = null;
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array6 = new org.apache.commons.math3.FieldElement[][] { fieldElement_array5 };
    // The following exception was thrown during execution in test generation
    try {
      array2DRowFieldMatrix1.setSubMatrix(fieldElement_array_array6, 2, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalStateException");
    } catch (org.apache.commons.math3.exception.MathIllegalStateException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalStateException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalStateException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Array2DRowFieldMatrix{}"+ "'", str3.equals("Array2DRowFieldMatrix{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array6);

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test497"); }


    double[] d_array2 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 100.0d, false);
    double[][] d_array_array6 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix8 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array6, true);
    double d9 = array2DRowRealMatrix8.getFrobeniusNorm();
    org.apache.commons.math3.linear.RealMatrix realMatrix11 = array2DRowRealMatrix8.getColumnMatrix(0);
    double[] d_array14 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair17 = new org.apache.commons.math3.optimization.PointValuePair(d_array14, 100.0d, false);
    double[][] d_array_array18 = new double[][] { d_array14 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix20 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array18, true);
    double d21 = array2DRowRealMatrix20.getFrobeniusNorm();
    boolean b22 = array2DRowRealMatrix20.isTransposable();
    org.apache.commons.math3.linear.RealMatrix realMatrix23 = array2DRowRealMatrix8.subtract((org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix20);
    double[][] d_array_array24 = array2DRowRealMatrix20.getData();
    double[] d_array27 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair30 = new org.apache.commons.math3.optimization.PointValuePair(d_array27, 100.0d, false);
    double[][] d_array_array31 = new double[][] { d_array27 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix33 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array31, true);
    double[] d_array37 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair40 = new org.apache.commons.math3.optimization.PointValuePair(d_array37, 100.0d, false);
    double[][] d_array_array41 = new double[][] { d_array37 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix43 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array41, true);
    double d44 = array2DRowRealMatrix43.getFrobeniusNorm();
    boolean b45 = array2DRowRealMatrix43.isTransposable();
    boolean b46 = array2DRowRealMatrix43.isSquare();
    double[][] d_array_array47 = array2DRowRealMatrix43.getData();
    array2DRowRealMatrix33.setRowMatrix(0, (org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix43);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix49 = array2DRowRealMatrix20.subtract(array2DRowRealMatrix43);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.checkColumnIndex((org.apache.commons.math3.linear.AnyMatrix)array2DRowRealMatrix20, 10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix49);

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test498"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NoDataException noDataException1 = new org.apache.commons.math3.exception.NoDataException(localizable0);

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test499"); }


    org.apache.commons.math3.linear.MatrixDimensionMismatchException matrixDimensionMismatchException4 = new org.apache.commons.math3.linear.MatrixDimensionMismatchException(0, 100, 36, (-1));
    // The following exception was thrown during execution in test generation
    try {
      int i6 = matrixDimensionMismatchException4.getExpectedDimension(1024);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test500"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    boolean b3 = array2DRowFieldMatrix1.isSquare();
    org.apache.commons.math3.Field field5 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix6 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field5);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array7 = array2DRowFieldMatrix6.getDataRef();
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array8 = array2DRowFieldMatrix6.getDataRef();
    // The following exception was thrown during execution in test generation
    try {
      array2DRowFieldMatrix1.setRowMatrix(10, (org.apache.commons.math3.linear.FieldMatrix)array2DRowFieldMatrix6);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array8);

  }

}
